/*
 * Global Javascript File
 *
 * To minify custom scripts, use this site:
 * http://compressorrater.thruhere.net/
 *
 * ...and most often choose the "JSMin" output.
 * Once gzipped, there is very little difference from
 * other options such as "packer" and is the safest.
 */

// Avoid `console` errors in browsers that lack a console.
// Added 3/4/2014 to help prevent console.log errors in IE in the future
(function() {
	var method;
	var noop = function () {};
	var methods = [
		'assert', 'clear', 'count', 'debug', 'dir', 'dirxml', 'error',
		'exception', 'group', 'groupCollapsed', 'groupEnd', 'info', 'log',
		'markTimeline', 'profile', 'profileEnd', 'table', 'time', 'timeEnd',
		'timeStamp', 'trace', 'warn'
	];
	var length = methods.length;
	var console = (window.console = window.console || {});

	while (length--) {
		method = methods[length];

		// Only stub undefined methods.
		if (!console[method]) {
			console[method] = noop;
		}
	}
}());

/* ----------------------------------------------------- 3RD PARTY SCRIPTS -------------------------------------------- */

/* Support for removed jQuery Dimensions function */
$.curCSS = $.css;

/* Pollyfill for String.prototype​.includes() - https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/includes#Polyfill */
String.prototype.includes||(String.prototype.includes=function(t,e){"use strict";return"number"!=typeof e&&(e=0),!(e+t.length>this.length)&&-1!==this.indexOf(t,e)});

/* Pollyfill for Array​.prototype​.includes() - https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/includes#Polyfill
 * Edited: define property as configurable to avoid conflict with core-js
*/
Array.prototype.includes||Object.defineProperty(Array.prototype,"includes",{configurable:!0,value:function(r,e){if(null==this)throw new TypeError('"this" is null or not defined');var t=Object(this),n=t.length>>>0;if(0===n)return!1;var i,o,a=0|e,u=Math.max(a>=0?a:n-Math.abs(a),0);for(;u<n;){if((i=t[u])===(o=r)||"number"==typeof i&&"number"==typeof o&&isNaN(i)&&isNaN(o))return!0;u++}return!1}});

/* SWFObject v1.5: Flash Player detection and embed - http://blog.deconcept.com/swfobject/
 * File Location: /scripts/GeoScripts/swfobject_15.js
 * (6300kb/1971kb[gzipped])
 * SWFObject is (c) 2007 Geoff Stearns and is released under the MIT License:
 * http://www.opensource.org/licenses/mit-license.php
 */
if(typeof deconcept=="undefined"){var deconcept=new Object()}if(typeof deconcept.util=="undefined"){deconcept.util=new Object()}if(typeof deconcept.SWFObjectUtil=="undefined"){deconcept.SWFObjectUtil=new Object()}deconcept.SWFObject=function(f,d,m,g,j,l,n,i,a,e){if(!document.getElementById){return}this.DETECT_KEY=e?e:"detectflash";this.skipDetect=deconcept.util.getRequestParameter(this.DETECT_KEY);this.params=new Object();this.variables=new Object();this.attributes=new Array();if(f){this.setAttribute("swf",f)}if(d){this.setAttribute("id",d)}if(m){this.setAttribute("width",m)}if(g){this.setAttribute("height",g)}if(j){this.setAttribute("version",new deconcept.PlayerVersion(j.toString().split(".")))}this.installedVer=deconcept.SWFObjectUtil.getPlayerVersion();if(!window.opera&&document.all&&this.installedVer.major>7){deconcept.SWFObject.doPrepUnload=true}if(l){this.addParam("bgcolor",l)}var b=n?n:"high";this.addParam("quality",b);this.setAttribute("useExpressInstall",false);this.setAttribute("doExpressInstall",false);var k=(i)?i:window.location;this.setAttribute("xiRedirectUrl",k);this.setAttribute("redirectUrl","");if(a){this.setAttribute("redirectUrl",a)}};deconcept.SWFObject.prototype={useExpressInstall:function(a){this.xiSWFPath=!a?"expressinstall.swf":a;this.setAttribute("useExpressInstall",true)},setAttribute:function(a,b){this.attributes[a]=b},getAttribute:function(a){return this.attributes[a]},addParam:function(a,b){this.params[a]=b},getParams:function(){return this.params},addVariable:function(a,b){this.variables[a]=b},getVariable:function(a){return this.variables[a]},getVariables:function(){return this.variables},getVariablePairs:function(){var a=new Array();var b;var c=this.getVariables();for(b in c){a[a.length]=b+"="+c[b]}return a},getSWFHTML:function(){var d="";if(navigator.plugins&&navigator.mimeTypes&&navigator.mimeTypes.length){if(this.getAttribute("doExpressInstall")){this.addVariable("MMplayerType","PlugIn");this.setAttribute("swf",this.xiSWFPath)}d='<embed type="application/x-shockwave-flash" src="'+this.getAttribute("swf")+'" width="'+this.getAttribute("width")+'" height="'+this.getAttribute("height")+'" style="'+this.getAttribute("style")+'"';d+=' id="'+this.getAttribute("id")+'" name="'+this.getAttribute("id")+'" ';var c=this.getParams();for(var a in c){d+=[a]+'="'+c[a]+'" '}var b=this.getVariablePairs().join("&");if(b.length>0){d+='flashvars="'+b+'"'}d+="/>"}else{if(this.getAttribute("doExpressInstall")){this.addVariable("MMplayerType","ActiveX");this.setAttribute("swf",this.xiSWFPath)}d='<object id="'+this.getAttribute("id")+'" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" width="'+this.getAttribute("width")+'" height="'+this.getAttribute("height")+'" style="'+this.getAttribute("style")+'">';d+='<param name="movie" value="'+this.getAttribute("swf")+'" />';var c=this.getParams();for(var a in c){d+='<param name="'+a+'" value="'+c[a]+'" />'}var b=this.getVariablePairs().join("&");if(b.length>0){d+='<param name="flashvars" value="'+b+'" />'}d+="</object>"}return d},write:function(a){if(this.getAttribute("useExpressInstall")){var b=new deconcept.PlayerVersion([6,0,65]);if(this.installedVer.versionIsValid(b)&&!this.installedVer.versionIsValid(this.getAttribute("version"))){this.setAttribute("doExpressInstall",true);this.addVariable("MMredirectURL",escape(this.getAttribute("xiRedirectUrl")));document.title=document.title.slice(0,47)+" - Flash Player Installation";this.addVariable("MMdoctitle",document.title)}}if(this.skipDetect||this.getAttribute("doExpressInstall")||this.installedVer.versionIsValid(this.getAttribute("version"))){var c=(typeof a=="string")?document.getElementById(a):a;c.innerHTML=this.getSWFHTML();return true}else{if(this.getAttribute("redirectUrl")!=""){document.location.replace(this.getAttribute("redirectUrl"))}}return false}};deconcept.SWFObjectUtil.getPlayerVersion=function(){var c=new deconcept.PlayerVersion([0,0,0]);if(navigator.plugins&&navigator.mimeTypes.length){var a=navigator.plugins["Shockwave Flash"];if(a&&a.description){c=new deconcept.PlayerVersion(a.description.replace(/([a-zA-Z]|\s)+/,"").replace(/(\s+r|\s+b[0-9]+)/,".").split("."))}}else{if(navigator.userAgent&&navigator.userAgent.indexOf("Windows CE")>=0){var d=1;var b=3;while(d){try{b++;d=new ActiveXObject("ShockwaveFlash.ShockwaveFlash."+b);c=new deconcept.PlayerVersion([b,0,0])}catch(f){d=null}}}else{try{var d=new ActiveXObject("ShockwaveFlash.ShockwaveFlash.7")}catch(f){try{var d=new ActiveXObject("ShockwaveFlash.ShockwaveFlash.6");c=new deconcept.PlayerVersion([6,0,21]);d.AllowScriptAccess="always"}catch(f){if(c.major==6){return c}}try{d=new ActiveXObject("ShockwaveFlash.ShockwaveFlash")}catch(f){}}if(d!=null){c=new deconcept.PlayerVersion(d.GetVariable("$version").split(" ")[1].split(","))}}}return c};deconcept.PlayerVersion=function(a){this.major=a[0]!=null?parseInt(a[0]):0;this.minor=a[1]!=null?parseInt(a[1]):0;this.rev=a[2]!=null?parseInt(a[2]):0};deconcept.PlayerVersion.prototype.versionIsValid=function(a){if(this.major<a.major){return false}if(this.major>a.major){return true}if(this.minor<a.minor){return false}if(this.minor>a.minor){return true}if(this.rev<a.rev){return false}return true};deconcept.util={getRequestParameter:function(d){var c=document.location.search||document.location.hash;if(d==null){return c}if(c){var b=c.substring(1).split("&");for(var a=0;a<b.length;a++){if(b[a].substring(0,b[a].indexOf("="))==d){return b[a].substring((b[a].indexOf("=")+1))}}}return""}};deconcept.SWFObjectUtil.cleanupSWFs=function(){var c=document.getElementsByTagName("OBJECT");for(var b=c.length-1;b>=0;b--){c[b].style.display="none";for(var a in c[b]){if(typeof c[b][a]=="function"){c[b][a]=function(){}}}}};if(deconcept.SWFObject.doPrepUnload){if(!deconcept.unloadSet){deconcept.SWFObjectUtil.prepUnload=function(){__flash_unloadHandler=function(){};__flash_savedUnloadHandler=function(){};window.attachEvent("onunload",deconcept.SWFObjectUtil.cleanupSWFs)};window.attachEvent("onbeforeunload",deconcept.SWFObjectUtil.prepUnload);deconcept.unloadSet=true}}if(!document.getElementById&&document.all){document.getElementById=function(a){return document.all[a]}}var getQueryParamValue=deconcept.util.getRequestParameter;var FlashObject=deconcept.SWFObject;var SWFObject=deconcept.SWFObject;

/*	SWFObject v2.2 <http://code.google.com/p/swfobject/>
	is released under the MIT License <http://www.opensource.org/licenses/mit-license.php>
*/
/*	SWFObject v2.2 <http://code.google.com/p/swfobject/>
	is released under the MIT License <http://www.opensource.org/licenses/mit-license.php>
*/
var swfobject=function(){var D="undefined",r="object",S="Shockwave Flash",W="ShockwaveFlash.ShockwaveFlash",q="application/x-shockwave-flash",R="SWFObjectExprInst",x="onreadystatechange",O=window,j=document,t=navigator,T=false,U=[h],o=[],N=[],I=[],l,Q,E,B,J=false,a=false,n,G,m=true,M=function(){var aa=typeof j.getElementById!=D&&typeof j.getElementsByTagName!=D&&typeof j.createElement!=D,ah=t.userAgent.toLowerCase(),Y=t.platform.toLowerCase(),ae=Y?/win/.test(Y):/win/.test(ah),ac=Y?/mac/.test(Y):/mac/.test(ah),af=/webkit/.test(ah)?parseFloat(ah.replace(/^.*webkit\/(\d+(\.\d+)?).*$/,"$1")):false,X=!+"\v1",ag=[0,0,0],ab=null;if(typeof t.plugins!=D&&typeof t.plugins[S]==r){ab=t.plugins[S].description;if(ab&&!(typeof t.mimeTypes!=D&&t.mimeTypes[q]&&!t.mimeTypes[q].enabledPlugin)){T=true;X=false;ab=ab.replace(/^.*\s+(\S+\s+\S+$)/,"$1");ag[0]=parseInt(ab.replace(/^(.*)\..*$/,"$1"),10);ag[1]=parseInt(ab.replace(/^.*\.(.*)\s.*$/,"$1"),10);ag[2]=/[a-zA-Z]/.test(ab)?parseInt(ab.replace(/^.*[a-zA-Z]+(.*)$/,"$1"),10):0}}else{if(typeof O.ActiveXObject!=D){try{var ad=new ActiveXObject(W);if(ad){ab=ad.GetVariable("$version");if(ab){X=true;ab=ab.split(" ")[1].split(",");ag=[parseInt(ab[0],10),parseInt(ab[1],10),parseInt(ab[2],10)]}}}catch(Z){}}}return{w3:aa,pv:ag,wk:af,ie:X,win:ae,mac:ac}}(),k=function(){if(!M.w3){return}if((typeof j.readyState!=D&&j.readyState=="complete")||(typeof j.readyState==D&&(j.getElementsByTagName("body")[0]||j.body))){f()}if(!J){if(typeof j.addEventListener!=D){j.addEventListener("DOMContentLoaded",f,false)}if(M.ie&&M.win){j.attachEvent(x,function(){if(j.readyState=="complete"){j.detachEvent(x,arguments.callee);f()}});if(O==top){(function(){if(J){return}try{j.documentElement.doScroll("left")}catch(X){setTimeout(arguments.callee,0);return}f()})()}}if(M.wk){(function(){if(J){return}if(!/loaded|complete/.test(j.readyState)){setTimeout(arguments.callee,0);return}f()})()}s(f)}}();function f(){if(J){return}try{var Z=j.getElementsByTagName("body")[0].appendChild(C("span"));Z.parentNode.removeChild(Z)}catch(aa){return}J=true;var X=U.length;for(var Y=0;Y<X;Y++){U[Y]()}}function K(X){if(J){X()}else{U[U.length]=X}}function s(Y){if(typeof O.addEventListener!=D){O.addEventListener("load",Y,false)}else{if(typeof j.addEventListener!=D){j.addEventListener("load",Y,false)}else{if(typeof O.attachEvent!=D){i(O,"onload",Y)}else{if(typeof O.onload=="function"){var X=O.onload;O.onload=function(){X();Y()}}else{O.onload=Y}}}}}function h(){if(T){V()}else{H()}}function V(){var X=j.getElementsByTagName("body")[0];var aa=C(r);aa.setAttribute("type",q);var Z=X.appendChild(aa);if(Z){var Y=0;(function(){if(typeof Z.GetVariable!=D){var ab=Z.GetVariable("$version");if(ab){ab=ab.split(" ")[1].split(",");M.pv=[parseInt(ab[0],10),parseInt(ab[1],10),parseInt(ab[2],10)]}}else{if(Y<10){Y++;setTimeout(arguments.callee,10);return}}X.removeChild(aa);Z=null;H()})()}else{H()}}function H(){var ag=o.length;if(ag>0){for(var af=0;af<ag;af++){var Y=o[af].id;var ab=o[af].callbackFn;var aa={success:false,id:Y};if(M.pv[0]>0){var ae=c(Y);if(ae){if(F(o[af].swfVersion)&&!(M.wk&&M.wk<312)){w(Y,true);if(ab){aa.success=true;aa.ref=z(Y);ab(aa)}}else{if(o[af].expressInstall&&A()){var ai={};ai.data=o[af].expressInstall;ai.width=ae.getAttribute("width")||"0";ai.height=ae.getAttribute("height")||"0";if(ae.getAttribute("class")){ai.styleclass=ae.getAttribute("class")}if(ae.getAttribute("align")){ai.align=ae.getAttribute("align")}var ah={};var X=ae.getElementsByTagName("param");var ac=X.length;for(var ad=0;ad<ac;ad++){if(X[ad].getAttribute("name").toLowerCase()!="movie"){ah[X[ad].getAttribute("name")]=X[ad].getAttribute("value")}}P(ai,ah,Y,ab)}else{p(ae);if(ab){ab(aa)}}}}}else{w(Y,true);if(ab){var Z=z(Y);if(Z&&typeof Z.SetVariable!=D){aa.success=true;aa.ref=Z}ab(aa)}}}}}function z(aa){var X=null;var Y=c(aa);if(Y&&Y.nodeName=="OBJECT"){if(typeof Y.SetVariable!=D){X=Y}else{var Z=Y.getElementsByTagName(r)[0];if(Z){X=Z}}}return X}function A(){return !a&&F("6.0.65")&&(M.win||M.mac)&&!(M.wk&&M.wk<312)}function P(aa,ab,X,Z){a=true;E=Z||null;B={success:false,id:X};var ae=c(X);if(ae){if(ae.nodeName=="OBJECT"){l=g(ae);Q=null}else{l=ae;Q=X}aa.id=R;if(typeof aa.width==D||(!/%$/.test(aa.width)&&parseInt(aa.width,10)<310)){aa.width="310"}if(typeof aa.height==D||(!/%$/.test(aa.height)&&parseInt(aa.height,10)<137)){aa.height="137"}j.title=j.title.slice(0,47)+" - Flash Player Installation";var ad=M.ie&&M.win?"ActiveX":"PlugIn",ac="MMredirectURL="+O.location.toString().replace(/&/g,"%26")+"&MMplayerType="+ad+"&MMdoctitle="+j.title;if(typeof ab.flashvars!=D){ab.flashvars+="&"+ac}else{ab.flashvars=ac}if(M.ie&&M.win&&ae.readyState!=4){var Y=C("div");X+="SWFObjectNew";Y.setAttribute("id",X);ae.parentNode.insertBefore(Y,ae);ae.style.display="none";(function(){if(ae.readyState==4){ae.parentNode.removeChild(ae)}else{setTimeout(arguments.callee,10)}})()}u(aa,ab,X)}}function p(Y){if(M.ie&&M.win&&Y.readyState!=4){var X=C("div");Y.parentNode.insertBefore(X,Y);X.parentNode.replaceChild(g(Y),X);Y.style.display="none";(function(){if(Y.readyState==4){Y.parentNode.removeChild(Y)}else{setTimeout(arguments.callee,10)}})()}else{Y.parentNode.replaceChild(g(Y),Y)}}function g(ab){var aa=C("div");if(M.win&&M.ie){aa.innerHTML=ab.innerHTML}else{var Y=ab.getElementsByTagName(r)[0];if(Y){var ad=Y.childNodes;if(ad){var X=ad.length;for(var Z=0;Z<X;Z++){if(!(ad[Z].nodeType==1&&ad[Z].nodeName=="PARAM")&&!(ad[Z].nodeType==8)){aa.appendChild(ad[Z].cloneNode(true))}}}}}return aa}function u(ai,ag,Y){var X,aa=c(Y);if(M.wk&&M.wk<312){return X}if(aa){if(typeof ai.id==D){ai.id=Y}if(M.ie&&M.win){var ah="";for(var ae in ai){if(ai[ae]!=Object.prototype[ae]){if(ae.toLowerCase()=="data"){ag.movie=ai[ae]}else{if(ae.toLowerCase()=="styleclass"){ah+=' class="'+ai[ae]+'"'}else{if(ae.toLowerCase()!="classid"){ah+=" "+ae+'="'+ai[ae]+'"'}}}}}var af="";for(var ad in ag){if(ag[ad]!=Object.prototype[ad]){af+='<param name="'+ad+'" value="'+ag[ad]+'" />'}}$(aa).replaceWith('<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"'+ah+">"+af+"</object>");N[N.length]=ai.id;X=c(ai.id)}else{var Z=C(r);Z.setAttribute("type",q);for(var ac in ai){if(ai[ac]!=Object.prototype[ac]){if(ac.toLowerCase()=="styleclass"){Z.setAttribute("class",ai[ac])}else{if(ac.toLowerCase()!="classid"){Z.setAttribute(ac,ai[ac])}}}}for(var ab in ag){if(ag[ab]!=Object.prototype[ab]&&ab.toLowerCase()!="movie"){e(Z,ab,ag[ab])}}aa.parentNode.replaceChild(Z,aa);X=Z}}return X}function e(Z,X,Y){var aa=C("param");aa.setAttribute("name",X);aa.setAttribute("value",Y);Z.appendChild(aa)}function y(Y){var X=c(Y);if(X&&X.nodeName=="OBJECT"){if(M.ie&&M.win){X.style.display="none";(function(){if(X.readyState==4){b(Y)}else{setTimeout(arguments.callee,10)}})()}else{X.parentNode.removeChild(X)}}}function b(Z){var Y=c(Z);if(Y){for(var X in Y){if(typeof Y[X]=="function"){Y[X]=null}}Y.parentNode.removeChild(Y)}}function c(Z){var X=null;try{X=j.getElementById(Z)}catch(Y){}return X}function C(X){return j.createElement(X)}function i(Z,X,Y){Z.attachEvent(X,Y);I[I.length]=[Z,X,Y]}function F(Z){var Y=M.pv,X=Z.split(".");X[0]=parseInt(X[0],10);X[1]=parseInt(X[1],10)||0;X[2]=parseInt(X[2],10)||0;return(Y[0]>X[0]||(Y[0]==X[0]&&Y[1]>X[1])||(Y[0]==X[0]&&Y[1]==X[1]&&Y[2]>=X[2]))?true:false}function v(ac,Y,ad,ab){if(M.ie&&M.mac){return}var aa=j.getElementsByTagName("head")[0];if(!aa){return}var X=(ad&&typeof ad=="string")?ad:"screen";if(ab){n=null;G=null}if(!n||G!=X){var Z=C("style");Z.setAttribute("type","text/css");Z.setAttribute("media",X);n=aa.appendChild(Z);if(M.ie&&M.win&&typeof j.styleSheets!=D&&j.styleSheets.length>0){n=j.styleSheets[j.styleSheets.length-1]}G=X}if(M.ie&&M.win){if(n&&typeof n.addRule==r){n.addRule(ac,Y)}}else{if(n&&typeof j.createTextNode!=D){n.appendChild(j.createTextNode(ac+" {"+Y+"}"))}}}function w(Z,X){if(!m){return}var Y=X?"visible":"hidden";if(J&&c(Z)){c(Z).style.visibility=Y}else{v("#"+Z,"visibility:"+Y)}}function L(Y){var Z=/[\\\"<>\.;]/;var X=Z.exec(Y)!=null;return X&&typeof encodeURIComponent!=D?encodeURIComponent(Y):Y}var d=function(){if(M.ie&&M.win){window.attachEvent("onunload",function(){var ac=I.length;for(var ab=0;ab<ac;ab++){I[ab][0].detachEvent(I[ab][1],I[ab][2])}var Z=N.length;for(var aa=0;aa<Z;aa++){y(N[aa])}for(var Y in M){M[Y]=null}M=null;for(var X in swfobject){swfobject[X]=null}swfobject=null})}}();return{registerObject:function(ab,X,aa,Z){if(M.w3&&ab&&X){var Y={};Y.id=ab;Y.swfVersion=X;Y.expressInstall=aa;Y.callbackFn=Z;o[o.length]=Y;w(ab,false)}else{if(Z){Z({success:false,id:ab})}}},getObjectById:function(X){if(M.w3){return z(X)}},embedSWF:function(ab,ah,ae,ag,Y,aa,Z,ad,af,ac){var X={success:false,id:ah};if(M.w3&&!(M.wk&&M.wk<312)&&ab&&ah&&ae&&ag&&Y){w(ah,false);K(function(){ae+="";ag+="";var aj={};if(af&&typeof af===r){for(var al in af){aj[al]=af[al]}}aj.data=ab;aj.width=ae;aj.height=ag;var am={};if(ad&&typeof ad===r){for(var ak in ad){am[ak]=ad[ak]}}if(Z&&typeof Z===r){for(var ai in Z){if(typeof am.flashvars!=D){am.flashvars+="&"+ai+"="+Z[ai]}else{am.flashvars=ai+"="+Z[ai]}}}if(F(Y)){var an=u(aj,am,ah);if(aj.id==ah){w(ah,true)}X.success=true;X.ref=an}else{if(aa&&A()){aj.data=aa;P(aj,am,ah,ac);return}else{w(ah,true)}}if(ac){ac(X)}})}else{if(ac){ac(X)}}},switchOffAutoHideShow:function(){m=false},ua:M,getFlashPlayerVersion:function(){return{major:M.pv[0],minor:M.pv[1],release:M.pv[2]}},hasFlashPlayerVersion:F,createSWF:function(Z,Y,X){if(M.w3){return u(Z,Y,X)}else{return undefined}},showExpressInstall:function(Z,aa,X,Y){if(M.w3&&A()){P(Z,aa,X,Y)}},removeSWF:function(X){if(M.w3){y(X)}},createCSS:function(aa,Z,Y,X){if(M.w3){v(aa,Z,Y,X)}},addDomLoadEvent:K,addLoadEvent:s,getQueryParamValue:function(aa){var Z=j.location.search||j.location.hash;if(Z){if(/\?/.test(Z)){Z=Z.split("?")[1]}if(aa==null){return L(Z)}var Y=Z.split("&");for(var X=0;X<Y.length;X++){if(Y[X].substring(0,Y[X].indexOf("="))==aa){return L(Y[X].substring((Y[X].indexOf("=")+1)))}}}return""},expressInstallCallback:function(){if(a){var X=c(R);if(X&&l){X.parentNode.replaceChild(l,X);if(Q){w(Q,true);if(M.ie&&M.win){l.style.display="block"}}if(E){E(B)}}a=false}}}}();

/* jQuery Cookie
 * File Location: /scripts/GeoScripts/jqueryCookie.js
 * (824b/424b[gzipped])
 * Copyright (c) 2006 Klaus Hartl (stilbuero.de)
 * http://plugins.jquery.com/project/cookie
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl.html
 *
*/
jQuery.cookie=function(_1,_2,_3){ if(typeof _2!="undefined"){ _3=_3||{}; if(_2===null){ _2=""; _3.expires=-1; } var _4=""; if(_3.expires&&(typeof _3.expires=="number"||_3.expires.toUTCString)){ var _5; if(typeof _3.expires=="number"){ _5=new Date(); _5.setTime(_5.getTime()+(_3.expires*24*60*60*1000)); }else{ _5=_3.expires; } _4="; expires="+_5.toUTCString(); } var _6=_3.path?"; path="+(_3.path):""; var _7=_3.domain?"; domain="+(_3.domain):""; var _8=_3.secure?"; secure":""; document.cookie=[_1,"=",encodeURIComponent(_2),_4,_6,_7,_8].join(""); }else{ var _9=null; if(document.cookie&&document.cookie!=""){ var _a=document.cookie.split(";"); for(var i=0;i<_a.length;i++){ var _c=jQuery.trim(_a[i]); if(_c.substring(0,_1.length+1)==(_1+"=")){ _9=decodeURIComponent(_c.substring(_1.length+1)); break; } } } return _9; } };

/* jQuery URL Parser
 * Version 1.0
 * File Location: /scripts/GeoScripts/jqueryURL.js
 * Parses URLs and provides easy access to information within them.
 *
 * Author: Mark Perkins
 * Author email: mark@allmarkedup.com
 *
 * For full documentation and more go to http://projects.allmarkedup.com/jquery_url_parser/
 */
jQuery.url=function(){var segments={};var parsed={};var options={url:window.location,strictMode:false,key:["source","protocol","authority","userInfo","user","password","host","port","relative","path","directory","file","query","anchor"],q:{name:"queryKey",parser:/(?:^|&)([^&=]*)=?([^&]*)/g},parser:{strict:/^(?:([^:\/?#]+):)?(?:\/\/((?:(([^:@]*):?([^:@]*))?@)?([^:\/?#]*)(?::(\d*))?))?((((?:[^?#\/]*\/)*)([^?#]*))(?:\?([^#]*))?(?:#(.*))?)/,loose:/^(?:(?![^:@]+:[^:@\/]*@)([^:\/?#.]+):)?(?:\/\/)?((?:(([^:@]*):?([^:@]*))?@)?([^:\/?#]*)(?::(\d*))?)(((\/(?:[^?#](?![^?#\/]*\.[^?#\/.]+(?:[?#]|$)))*\/?)?([^?#\/]*))(?:\?([^#]*))?(?:#(.*))?)/}};var parseUri=function(){str=decodeURI(options.url);var m=options.parser[options.strictMode?"strict":"loose"].exec(str);var uri={};var i=14;while(i--){uri[options.key[i]]=m[i]||""}uri[options.q.name]={};uri[options.key[12]].replace(options.q.parser,function($0,$1,$2){if($1){uri[options.q.name][$1]=$2}});return uri};var key=function(key){if(!parsed.length){setUp()}if(key=="base"){if(parsed.port!==null&&parsed.port!==""){return parsed.protocol+"://"+parsed.host+":"+parsed.port+"/"}else{return parsed.protocol+"://"+parsed.host+"/"}}return(parsed[key]==="")?null:parsed[key]};var param=function(item){if(!parsed.length){setUp()}return(parsed.queryKey[item]===null)?null:parsed.queryKey[item]};var setUp=function(){parsed=parseUri();getSegments()};var getSegments=function(){var p=parsed.path;segments=[];segments=parsed.path.length==1?{}:(p.charAt(p.length-1)=="/"?p.substring(1,p.length-1):path=p.substring(1)).split("/")};return{setMode:function(mode){strictMode=mode=="strict"?true:false;return this},setUrl:function(newUri){options.url=newUri===undefined?window.location:newUri;setUp();return this},segment:function(pos){if(!parsed.length){setUp()}if(pos===undefined){return segments.length}return(segments[pos]===""||segments[pos]===undefined)?null:segments[pos]},attr:key,param:param}}();

// axios.js
/* axios v0.16.2 | (c) 2017 by Matt Zabriskie */
!function (e, t) { "object" == typeof exports && "object" == typeof module ? module.exports = t() : "function" == typeof define && define.amd ? define([], t) : "object" == typeof exports ? exports.axios = t() : e.axios = t() }(this, function () {
    return function (e) { function t(r) { if (n[r]) return n[r].exports; var o = n[r] = { exports: {}, id: r, loaded: !1 }; return e[r].call(o.exports, o, o.exports, t), o.loaded = !0, o.exports } var n = {}; return t.m = e, t.c = n, t.p = "", t(0) }([function (e, t, n) { e.exports = n(1) }, function (e, t, n) { "use strict"; function r(e) { var t = new s(e), n = i(s.prototype.request, t); return o.extend(n, s.prototype, t), o.extend(n, t), n } var o = n(2), i = n(3), s = n(5), u = n(6), a = r(u); a.Axios = s, a.create = function (e) { return r(o.merge(u, e)) }, a.Cancel = n(23), a.CancelToken = n(24), a.isCancel = n(20), a.all = function (e) { return Promise.all(e) }, a.spread = n(25), e.exports = a, e.exports.default = a }, function (e, t, n) { "use strict"; function r(e) { return "[object Array]" === R.call(e) } function o(e) { return "[object ArrayBuffer]" === R.call(e) } function i(e) { return "undefined" != typeof FormData && e instanceof FormData } function s(e) { var t; return t = "undefined" != typeof ArrayBuffer && ArrayBuffer.isView ? ArrayBuffer.isView(e) : e && e.buffer && e.buffer instanceof ArrayBuffer } function u(e) { return "string" == typeof e } function a(e) { return "number" == typeof e } function c(e) { return "undefined" == typeof e } function f(e) { return null !== e && "object" == typeof e } function p(e) { return "[object Date]" === R.call(e) } function d(e) { return "[object File]" === R.call(e) } function l(e) { return "[object Blob]" === R.call(e) } function h(e) { return "[object Function]" === R.call(e) } function m(e) { return f(e) && h(e.pipe) } function y(e) { return "undefined" != typeof URLSearchParams && e instanceof URLSearchParams } function w(e) { return e.replace(/^\s*/, "").replace(/\s*$/, "") } function v() { return ("undefined" == typeof navigator || "ReactNative" !== navigator.product) && ("undefined" != typeof window && "undefined" != typeof document) } function g(e, t) { if (null !== e && "undefined" != typeof e) if ("object" == typeof e || r(e) || (e = [e]), r(e)) for (var n = 0, o = e.length; n < o; n++) t.call(null, e[n], n, e); else for (var i in e) Object.prototype.hasOwnProperty.call(e, i) && t.call(null, e[i], i, e) } function x() { function e(e, n) { "object" == typeof t[n] && "object" == typeof e ? t[n] = x(t[n], e) : t[n] = e } for (var t = {}, n = 0, r = arguments.length; n < r; n++) g(arguments[n], e); return t } function b(e, t, n) { return g(t, function (t, r) { n && "function" == typeof t ? e[r] = E(t, n) : e[r] = t }), e } var E = n(3), C = n(4), R = Object.prototype.toString; e.exports = { isArray: r, isArrayBuffer: o, isBuffer: C, isFormData: i, isArrayBufferView: s, isString: u, isNumber: a, isObject: f, isUndefined: c, isDate: p, isFile: d, isBlob: l, isFunction: h, isStream: m, isURLSearchParams: y, isStandardBrowserEnv: v, forEach: g, merge: x, extend: b, trim: w } }, function (e, t) { "use strict"; e.exports = function (e, t) { return function () { for (var n = new Array(arguments.length), r = 0; r < n.length; r++) n[r] = arguments[r]; return e.apply(t, n) } } }, function (e, t) {
        function n(e) { return !!e.constructor && "function" == typeof e.constructor.isBuffer && e.constructor.isBuffer(e) } function r(e) { return "function" == typeof e.readFloatLE && "function" == typeof e.slice && n(e.slice(0, 0)) }/*!
	 * Determine if an object is a Buffer
	 *
	 * @author   Feross Aboukhadijeh <feross@feross.org> <http://feross.org>
	 * @license  MIT
	 */
        e.exports = function (e) { return null != e && (n(e) || r(e) || !!e._isBuffer) }
    }, function (e, t, n) { "use strict"; function r(e) { this.defaults = e, this.interceptors = { request: new s, response: new s } } var o = n(6), i = n(2), s = n(17), u = n(18), a = n(21), c = n(22); r.prototype.request = function (e) { "string" == typeof e && (e = i.merge({ url: arguments[0] }, arguments[1])), e = i.merge(o, this.defaults, { method: "get" }, e), e.method = e.method.toLowerCase(), e.baseURL && !a(e.url) && (e.url = c(e.baseURL, e.url)); var t = [u, void 0], n = Promise.resolve(e); for (this.interceptors.request.forEach(function (e) { t.unshift(e.fulfilled, e.rejected) }), this.interceptors.response.forEach(function (e) { t.push(e.fulfilled, e.rejected) }) ; t.length;) n = n.then(t.shift(), t.shift()); return n }, i.forEach(["delete", "get", "head", "options"], function (e) { r.prototype[e] = function (t, n) { return this.request(i.merge(n || {}, { method: e, url: t })) } }), i.forEach(["post", "put", "patch"], function (e) { r.prototype[e] = function (t, n, r) { return this.request(i.merge(r || {}, { method: e, url: t, data: n })) } }), e.exports = r }, function (e, t, n) { "use strict"; function r(e, t) { !i.isUndefined(e) && i.isUndefined(e["Content-Type"]) && (e["Content-Type"] = t) } function o() { var e; return "undefined" != typeof XMLHttpRequest ? e = n(8) : "undefined" != typeof process && (e = n(8)), e } var i = n(2), s = n(7), u = { "Content-Type": "application/x-www-form-urlencoded" }, a = { adapter: o(), transformRequest: [function (e, t) { return s(t, "Content-Type"), i.isFormData(e) || i.isArrayBuffer(e) || i.isBuffer(e) || i.isStream(e) || i.isFile(e) || i.isBlob(e) ? e : i.isArrayBufferView(e) ? e.buffer : i.isURLSearchParams(e) ? (r(t, "application/x-www-form-urlencoded;charset=utf-8"), e.toString()) : i.isObject(e) ? (r(t, "application/json;charset=utf-8"), JSON.stringify(e)) : e }], transformResponse: [function (e) { if ("string" == typeof e) try { e = JSON.parse(e) } catch (e) { } return e }], timeout: 0, xsrfCookieName: "XSRF-TOKEN", xsrfHeaderName: "X-XSRF-TOKEN", maxContentLength: -1, validateStatus: function (e) { return e >= 200 && e < 300 } }; a.headers = { common: { Accept: "application/json, text/plain, */*" } }, i.forEach(["delete", "get", "head"], function (e) { a.headers[e] = {} }), i.forEach(["post", "put", "patch"], function (e) { a.headers[e] = i.merge(u) }), e.exports = a }, function (e, t, n) { "use strict"; var r = n(2); e.exports = function (e, t) { r.forEach(e, function (n, r) { r !== t && r.toUpperCase() === t.toUpperCase() && (e[t] = n, delete e[r]) }) } }, function (e, t, n) { "use strict"; var r = n(2), o = n(9), i = n(12), s = n(13), u = n(14), a = n(10), c = "undefined" != typeof window && window.btoa && window.btoa.bind(window) || n(15); e.exports = function (e) { return new Promise(function (t, f) { var p = e.data, d = e.headers; r.isFormData(p) && delete d["Content-Type"]; var l = new XMLHttpRequest, h = "onreadystatechange", m = !1; if ("undefined" == typeof window || !window.XDomainRequest || "withCredentials" in l || u(e.url) || (l = new window.XDomainRequest, h = "onload", m = !0, l.onprogress = function () { }, l.ontimeout = function () { }), e.auth) { var y = e.auth.username || "", w = e.auth.password || ""; d.Authorization = "Basic " + c(y + ":" + w) } if (l.open(e.method.toUpperCase(), i(e.url, e.params, e.paramsSerializer), !0), l.timeout = e.timeout, l[h] = function () { if (l && (4 === l.readyState || m) && (0 !== l.status || l.responseURL && 0 === l.responseURL.indexOf("file:"))) { var n = "getAllResponseHeaders" in l ? s(l.getAllResponseHeaders()) : null, r = e.responseType && "text" !== e.responseType ? l.response : l.responseText, i = { data: r, status: 1223 === l.status ? 204 : l.status, statusText: 1223 === l.status ? "No Content" : l.statusText, headers: n, config: e, request: l }; o(t, f, i), l = null } }, l.onerror = function () { f(a("Network Error", e, null, l)), l = null }, l.ontimeout = function () { f(a("timeout of " + e.timeout + "ms exceeded", e, "ECONNABORTED", l)), l = null }, r.isStandardBrowserEnv()) { var v = n(16), g = (e.withCredentials || u(e.url)) && e.xsrfCookieName ? v.read(e.xsrfCookieName) : void 0; g && (d[e.xsrfHeaderName] = g) } if ("setRequestHeader" in l && r.forEach(d, function (e, t) { "undefined" == typeof p && "content-type" === t.toLowerCase() ? delete d[t] : l.setRequestHeader(t, e) }), e.withCredentials && (l.withCredentials = !0), e.responseType) try { l.responseType = e.responseType } catch (t) { if ("json" !== e.responseType) throw t } "function" == typeof e.onDownloadProgress && l.addEventListener("progress", e.onDownloadProgress), "function" == typeof e.onUploadProgress && l.upload && l.upload.addEventListener("progress", e.onUploadProgress), e.cancelToken && e.cancelToken.promise.then(function (e) { l && (l.abort(), f(e), l = null) }), void 0 === p && (p = null), l.send(p) }) } }, function (e, t, n) { "use strict"; var r = n(10); e.exports = function (e, t, n) { var o = n.config.validateStatus; n.status && o && !o(n.status) ? t(r("Request failed with status code " + n.status, n.config, null, n.request, n)) : e(n) } }, function (e, t, n) { "use strict"; var r = n(11); e.exports = function (e, t, n, o, i) { var s = new Error(e); return r(s, t, n, o, i) } }, function (e, t) { "use strict"; e.exports = function (e, t, n, r, o) { return e.config = t, n && (e.code = n), e.request = r, e.response = o, e } }, function (e, t, n) { "use strict"; function r(e) { return encodeURIComponent(e).replace(/%40/gi, "@").replace(/%3A/gi, ":").replace(/%24/g, "$").replace(/%2C/gi, ",").replace(/%20/g, "+").replace(/%5B/gi, "[").replace(/%5D/gi, "]") } var o = n(2); e.exports = function (e, t, n) { if (!t) return e; var i; if (n) i = n(t); else if (o.isURLSearchParams(t)) i = t.toString(); else { var s = []; o.forEach(t, function (e, t) { null !== e && "undefined" != typeof e && (o.isArray(e) && (t += "[]"), o.isArray(e) || (e = [e]), o.forEach(e, function (e) { o.isDate(e) ? e = e.toISOString() : o.isObject(e) && (e = JSON.stringify(e)), s.push(r(t) + "=" + r(e)) })) }), i = s.join("&") } return i && (e += (e.indexOf("?") === -1 ? "?" : "&") + i), e } }, function (e, t, n) { "use strict"; var r = n(2); e.exports = function (e) { var t, n, o, i = {}; return e ? (r.forEach(e.split("\n"), function (e) { o = e.indexOf(":"), t = r.trim(e.substr(0, o)).toLowerCase(), n = r.trim(e.substr(o + 1)), t && (i[t] = i[t] ? i[t] + ", " + n : n) }), i) : i } }, function (e, t, n) { "use strict"; var r = n(2); e.exports = r.isStandardBrowserEnv() ? function () { function e(e) { var t = e; return n && (o.setAttribute("href", t), t = o.href), o.setAttribute("href", t), { href: o.href, protocol: o.protocol ? o.protocol.replace(/:$/, "") : "", host: o.host, search: o.search ? o.search.replace(/^\?/, "") : "", hash: o.hash ? o.hash.replace(/^#/, "") : "", hostname: o.hostname, port: o.port, pathname: "/" === o.pathname.charAt(0) ? o.pathname : "/" + o.pathname } } var t, n = /(msie|trident)/i.test(navigator.userAgent), o = document.createElement("a"); return t = e(window.location.href), function (n) { var o = r.isString(n) ? e(n) : n; return o.protocol === t.protocol && o.host === t.host } }() : function () { return function () { return !0 } }() }, function (e, t) { "use strict"; function n() { this.message = "String contains an invalid character" } function r(e) { for (var t, r, i = String(e), s = "", u = 0, a = o; i.charAt(0 | u) || (a = "=", u % 1) ; s += a.charAt(63 & t >> 8 - u % 1 * 8)) { if (r = i.charCodeAt(u += .75), r > 255) throw new n; t = t << 8 | r } return s } var o = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/="; n.prototype = new Error, n.prototype.code = 5, n.prototype.name = "InvalidCharacterError", e.exports = r }, function (e, t, n) { "use strict"; var r = n(2); e.exports = r.isStandardBrowserEnv() ? function () { return { write: function (e, t, n, o, i, s) { var u = []; u.push(e + "=" + encodeURIComponent(t)), r.isNumber(n) && u.push("expires=" + new Date(n).toGMTString()), r.isString(o) && u.push("path=" + o), r.isString(i) && u.push("domain=" + i), s === !0 && u.push("secure"), document.cookie = u.join("; ") }, read: function (e) { var t = document.cookie.match(new RegExp("(^|;\\s*)(" + e + ")=([^;]*)")); return t ? decodeURIComponent(t[3]) : null }, remove: function (e) { this.write(e, "", Date.now() - 864e5) } } }() : function () { return { write: function () { }, read: function () { return null }, remove: function () { } } }() }, function (e, t, n) { "use strict"; function r() { this.handlers = [] } var o = n(2); r.prototype.use = function (e, t) { return this.handlers.push({ fulfilled: e, rejected: t }), this.handlers.length - 1 }, r.prototype.eject = function (e) { this.handlers[e] && (this.handlers[e] = null) }, r.prototype.forEach = function (e) { o.forEach(this.handlers, function (t) { null !== t && e(t) }) }, e.exports = r }, function (e, t, n) { "use strict"; function r(e) { e.cancelToken && e.cancelToken.throwIfRequested() } var o = n(2), i = n(19), s = n(20), u = n(6); e.exports = function (e) { r(e), e.headers = e.headers || {}, e.data = i(e.data, e.headers, e.transformRequest), e.headers = o.merge(e.headers.common || {}, e.headers[e.method] || {}, e.headers || {}), o.forEach(["delete", "get", "head", "post", "put", "patch", "common"], function (t) { delete e.headers[t] }); var t = e.adapter || u.adapter; return t(e).then(function (t) { return r(e), t.data = i(t.data, t.headers, e.transformResponse), t }, function (t) { return s(t) || (r(e), t && t.response && (t.response.data = i(t.response.data, t.response.headers, e.transformResponse))), Promise.reject(t) }) } }, function (e, t, n) { "use strict"; var r = n(2); e.exports = function (e, t, n) { return r.forEach(n, function (n) { e = n(e, t) }), e } }, function (e, t) { "use strict"; e.exports = function (e) { return !(!e || !e.__CANCEL__) } }, function (e, t) { "use strict"; e.exports = function (e) { return /^([a-z][a-z\d\+\-\.]*:)?\/\//i.test(e) } }, function (e, t) { "use strict"; e.exports = function (e, t) { return t ? e.replace(/\/+$/, "") + "/" + t.replace(/^\/+/, "") : e } }, function (e, t) { "use strict"; function n(e) { this.message = e } n.prototype.toString = function () { return "Cancel" + (this.message ? ": " + this.message : "") }, n.prototype.__CANCEL__ = !0, e.exports = n }, function (e, t, n) { "use strict"; function r(e) { if ("function" != typeof e) throw new TypeError("executor must be a function."); var t; this.promise = new Promise(function (e) { t = e }); var n = this; e(function (e) { n.reason || (n.reason = new o(e), t(n.reason)) }) } var o = n(23); r.prototype.throwIfRequested = function () { if (this.reason) throw this.reason }, r.source = function () { var e, t = new r(function (t) { e = t }); return { token: t, cancel: e } }, e.exports = r }, function (e, t) { "use strict"; e.exports = function (e) { return function (t) { return e.apply(null, t) } } }])
});
//# sourceMappingURL=axios.min.map

//js.cookie.js
!function(e){var n=!1;if("function"==typeof define&&define.amd&&(define(e),n=!0),"object"==typeof exports&&(module.exports=e(),n=!0),!n){var t=window.Cookies,o=window.Cookies=e();o.noConflict=function(){return window.Cookies=t,o}}}(function(){function e(){for(var e=0,n={};e<arguments.length;e++){var t=arguments[e];for(var o in t)n[o]=t[o]}return n}function n(t){function o(n,r,i){var c;if("undefined"!=typeof document){if(arguments.length>1){if(i=e({path:"/"},o.defaults,i),"number"==typeof i.expires){var a=new Date;a.setMilliseconds(a.getMilliseconds()+864e5*i.expires),i.expires=a}i.expires=i.expires?i.expires.toUTCString():"";try{c=JSON.stringify(r),/^[\{\[]/.test(c)&&(r=c)}catch(s){}r=t.write?t.write(r,n):encodeURIComponent(String(r)).replace(/%(23|24|26|2B|3A|3C|3E|3D|2F|3F|40|5B|5D|5E|60|7B|7D|7C)/g,decodeURIComponent),n=encodeURIComponent(String(n)),n=n.replace(/%(23|24|26|2B|5E|60|7C)/g,decodeURIComponent),n=n.replace(/[\(\)]/g,escape);var f="";for(var u in i)i[u]&&(f+="; "+u,i[u]!==!0&&(f+="="+i[u]));return document.cookie=n+"="+r+f}n||(c={});for(var p=document.cookie?document.cookie.split("; "):[],d=/(%[0-9A-Z]{2})+/g,l=0;l<p.length;l++){var g=p[l].split("="),m=g.slice(1).join("=");'"'===m.charAt(0)&&(m=m.slice(1,-1));try{var C=g[0].replace(d,decodeURIComponent);if(m=t.read?t.read(m,C):t(m,C)||m.replace(d,decodeURIComponent),this.json)try{m=JSON.parse(m)}catch(s){}if(n===C){c=m;break}n||(c[C]=m)}catch(s){}}return c}}return o.set=o,o.get=function(e){return o.call(o,e)},o.getJSON=function(){return o.apply({json:!0},[].slice.call(arguments))},o.defaults={},o.remove=function(n,t){o(n,"",e(t,{expires:-1}))},o.withConverter=n,o}return n(function(){})});

/*
 RequireJS 2.1.11 Copyright (c) 2010-2014, The Dojo Foundation All Rights Reserved.
 Available via the MIT or new BSD license.
 see: http://github.com/jrburke/requirejs for details
*/
var requirejs,require,define;
(function(ca){function G(b){return"[object Function]"===M.call(b)}function H(b){return"[object Array]"===M.call(b)}function v(b,c){if(b){var d;for(d=0;d<b.length&&(!b[d]||!c(b[d],d,b));d+=1);}}function U(b,c){if(b){var d;for(d=b.length-1;-1<d&&(!b[d]||!c(b[d],d,b));d-=1);}}function s(b,c){return ga.call(b,c)}function j(b,c){return s(b,c)&&b[c]}function B(b,c){for(var d in b)if(s(b,d)&&c(b[d],d))break}function V(b,c,d,g){c&&B(c,function(c,h){if(d||!s(b,h))g&&"object"===typeof c&&c&&!H(c)&&!G(c)&&!(c instanceof
RegExp)?(b[h]||(b[h]={}),V(b[h],c,d,g)):b[h]=c});return b}function t(b,c){return function(){return c.apply(b,arguments)}}function da(b){throw b;}function ea(b){if(!b)return b;var c=ca;v(b.split("."),function(b){c=c[b]});return c}function C(b,c,d,g){c=Error(c+"\nhttp://requirejs.org/docs/errors.html#"+b);c.requireType=b;c.requireModules=g;d&&(c.originalError=d);return c}function ha(b){function c(a,e,b){var f,n,c,d,g,h,i,I=e&&e.split("/");n=I;var m=l.map,k=m&&m["*"];if(a&&"."===a.charAt(0))if(e){n=
I.slice(0,I.length-1);a=a.split("/");e=a.length-1;l.nodeIdCompat&&R.test(a[e])&&(a[e]=a[e].replace(R,""));n=a=n.concat(a);d=n.length;for(e=0;e<d;e++)if(c=n[e],"."===c)n.splice(e,1),e-=1;else if(".."===c)if(1===e&&(".."===n[2]||".."===n[0]))break;else 0<e&&(n.splice(e-1,2),e-=2);a=a.join("/")}else 0===a.indexOf("./")&&(a=a.substring(2));if(b&&m&&(I||k)){n=a.split("/");e=n.length;a:for(;0<e;e-=1){d=n.slice(0,e).join("/");if(I)for(c=I.length;0<c;c-=1)if(b=j(m,I.slice(0,c).join("/")))if(b=j(b,d)){f=b;
g=e;break a}!h&&(k&&j(k,d))&&(h=j(k,d),i=e)}!f&&h&&(f=h,g=i);f&&(n.splice(0,g,f),a=n.join("/"))}return(f=j(l.pkgs,a))?f:a}function d(a){z&&v(document.getElementsByTagName("script"),function(e){if(e.getAttribute("data-requiremodule")===a&&e.getAttribute("data-requirecontext")===i.contextName)return e.parentNode.removeChild(e),!0})}function g(a){var e=j(l.paths,a);if(e&&H(e)&&1<e.length)return e.shift(),i.require.undef(a),i.require([a]),!0}function u(a){var e,b=a?a.indexOf("!"):-1;-1<b&&(e=a.substring(0,
b),a=a.substring(b+1,a.length));return[e,a]}function m(a,e,b,f){var n,d,g=null,h=e?e.name:null,l=a,m=!0,k="";a||(m=!1,a="_@r"+(M+=1));a=u(a);g=a[0];a=a[1];g&&(g=c(g,h,f),d=j(p,g));a&&(g?k=d&&d.normalize?d.normalize(a,function(a){return c(a,h,f)}):c(a,h,f):(k=c(a,h,f),a=u(k),g=a[0],k=a[1],b=!0,n=i.nameToUrl(k)));b=g&&!d&&!b?"_unnormalized"+(Q+=1):"";return{prefix:g,name:k,parentMap:e,unnormalized:!!b,url:n,originalName:l,isDefine:m,id:(g?g+"!"+k:k)+b}}function q(a){var e=a.id,b=j(k,e);b||(b=k[e]=new i.Module(a));
return b}function r(a,e,b){var f=a.id,n=j(k,f);if(s(p,f)&&(!n||n.defineEmitComplete))"defined"===e&&b(p[f]);else if(n=q(a),n.error&&"error"===e)b(n.error);else n.on(e,b)}function w(a,e){var b=a.requireModules,f=!1;if(e)e(a);else if(v(b,function(e){if(e=j(k,e))e.error=a,e.events.error&&(f=!0,e.emit("error",a))}),!f)h.onError(a)}function x(){S.length&&(ia.apply(A,[A.length,0].concat(S)),S=[])}function y(a){delete k[a];delete W[a]}function F(a,e,b){var f=a.map.id;a.error?a.emit("error",a.error):(e[f]=
!0,v(a.depMaps,function(f,c){var d=f.id,g=j(k,d);g&&(!a.depMatched[c]&&!b[d])&&(j(e,d)?(a.defineDep(c,p[d]),a.check()):F(g,e,b))}),b[f]=!0)}function D(){var a,e,b=(a=1E3*l.waitSeconds)&&i.startTime+a<(new Date).getTime(),f=[],c=[],h=!1,k=!0;if(!X){X=!0;B(W,function(a){var i=a.map,m=i.id;if(a.enabled&&(i.isDefine||c.push(a),!a.error))if(!a.inited&&b)g(m)?h=e=!0:(f.push(m),d(m));else if(!a.inited&&(a.fetched&&i.isDefine)&&(h=!0,!i.prefix))return k=!1});if(b&&f.length)return a=C("timeout","Load timeout for modules: "+
f,null,f),a.contextName=i.contextName,w(a);k&&v(c,function(a){F(a,{},{})});if((!b||e)&&h)if((z||fa)&&!Y)Y=setTimeout(function(){Y=0;D()},50);X=!1}}function E(a){s(p,a[0])||q(m(a[0],null,!0)).init(a[1],a[2])}function K(a){var a=a.currentTarget||a.srcElement,e=i.onScriptLoad;a.detachEvent&&!Z?a.detachEvent("onreadystatechange",e):a.removeEventListener("load",e,!1);e=i.onScriptError;(!a.detachEvent||Z)&&a.removeEventListener("error",e,!1);return{node:a,id:a&&a.getAttribute("data-requiremodule")}}function L(){var a;
for(x();A.length;){a=A.shift();if(null===a[0])return w(C("mismatch","Mismatched anonymous define() module: "+a[a.length-1]));E(a)}}var X,$,i,N,Y,l={waitSeconds:7,baseUrl:"./",paths:{},bundles:{},pkgs:{},shim:{},config:{}},k={},W={},aa={},A=[],p={},T={},ba={},M=1,Q=1;N={require:function(a){return a.require?a.require:a.require=i.makeRequire(a.map)},exports:function(a){a.usingExports=!0;if(a.map.isDefine)return a.exports?p[a.map.id]=a.exports:a.exports=p[a.map.id]={}},module:function(a){return a.module?
a.module:a.module={id:a.map.id,uri:a.map.url,config:function(){return j(l.config,a.map.id)||{}},exports:a.exports||(a.exports={})}}};$=function(a){this.events=j(aa,a.id)||{};this.map=a;this.shim=j(l.shim,a.id);this.depExports=[];this.depMaps=[];this.depMatched=[];this.pluginMaps={};this.depCount=0};$.prototype={init:function(a,e,b,f){f=f||{};if(!this.inited){this.factory=e;if(b)this.on("error",b);else this.events.error&&(b=t(this,function(a){this.emit("error",a)}));this.depMaps=a&&a.slice(0);this.errback=
b;this.inited=!0;this.ignore=f.ignore;f.enabled||this.enabled?this.enable():this.check()}},defineDep:function(a,e){this.depMatched[a]||(this.depMatched[a]=!0,this.depCount-=1,this.depExports[a]=e)},fetch:function(){if(!this.fetched){this.fetched=!0;i.startTime=(new Date).getTime();var a=this.map;if(this.shim)i.makeRequire(this.map,{enableBuildCallback:!0})(this.shim.deps||[],t(this,function(){return a.prefix?this.callPlugin():this.load()}));else return a.prefix?this.callPlugin():this.load()}},load:function(){var a=
this.map.url;T[a]||(T[a]=!0,i.load(this.map.id,a))},check:function(){if(this.enabled&&!this.enabling){var a,e,b=this.map.id;e=this.depExports;var f=this.exports,c=this.factory;if(this.inited)if(this.error)this.emit("error",this.error);else{if(!this.defining){this.defining=!0;if(1>this.depCount&&!this.defined){if(G(c)){if(this.events.error&&this.map.isDefine||h.onError!==da)try{f=i.execCb(b,c,e,f)}catch(d){a=d}else f=i.execCb(b,c,e,f);this.map.isDefine&&void 0===f&&((e=this.module)?f=e.exports:this.usingExports&&
(f=this.exports));if(a)return a.requireMap=this.map,a.requireModules=this.map.isDefine?[this.map.id]:null,a.requireType=this.map.isDefine?"define":"require",w(this.error=a)}else f=c;this.exports=f;if(this.map.isDefine&&!this.ignore&&(p[b]=f,h.onResourceLoad))h.onResourceLoad(i,this.map,this.depMaps);y(b);this.defined=!0}this.defining=!1;this.defined&&!this.defineEmitted&&(this.defineEmitted=!0,this.emit("defined",this.exports),this.defineEmitComplete=!0)}}else this.fetch()}},callPlugin:function(){var a=
this.map,b=a.id,d=m(a.prefix);this.depMaps.push(d);r(d,"defined",t(this,function(f){var d,g;g=j(ba,this.map.id);var J=this.map.name,u=this.map.parentMap?this.map.parentMap.name:null,p=i.makeRequire(a.parentMap,{enableBuildCallback:!0});if(this.map.unnormalized){if(f.normalize&&(J=f.normalize(J,function(a){return c(a,u,!0)})||""),f=m(a.prefix+"!"+J,this.map.parentMap),r(f,"defined",t(this,function(a){this.init([],function(){return a},null,{enabled:!0,ignore:!0})})),g=j(k,f.id)){this.depMaps.push(f);
if(this.events.error)g.on("error",t(this,function(a){this.emit("error",a)}));g.enable()}}else g?(this.map.url=i.nameToUrl(g),this.load()):(d=t(this,function(a){this.init([],function(){return a},null,{enabled:!0})}),d.error=t(this,function(a){this.inited=!0;this.error=a;a.requireModules=[b];B(k,function(a){0===a.map.id.indexOf(b+"_unnormalized")&&y(a.map.id)});w(a)}),d.fromText=t(this,function(f,c){var g=a.name,J=m(g),k=O;c&&(f=c);k&&(O=!1);q(J);s(l.config,b)&&(l.config[g]=l.config[b]);try{h.exec(f)}catch(j){return w(C("fromtexteval",
"fromText eval for "+b+" failed: "+j,j,[b]))}k&&(O=!0);this.depMaps.push(J);i.completeLoad(g);p([g],d)}),f.load(a.name,p,d,l))}));i.enable(d,this);this.pluginMaps[d.id]=d},enable:function(){W[this.map.id]=this;this.enabling=this.enabled=!0;v(this.depMaps,t(this,function(a,b){var c,f;if("string"===typeof a){a=m(a,this.map.isDefine?this.map:this.map.parentMap,!1,!this.skipMap);this.depMaps[b]=a;if(c=j(N,a.id)){this.depExports[b]=c(this);return}this.depCount+=1;r(a,"defined",t(this,function(a){this.defineDep(b,
a);this.check()}));this.errback&&r(a,"error",t(this,this.errback))}c=a.id;f=k[c];!s(N,c)&&(f&&!f.enabled)&&i.enable(a,this)}));B(this.pluginMaps,t(this,function(a){var b=j(k,a.id);b&&!b.enabled&&i.enable(a,this)}));this.enabling=!1;this.check()},on:function(a,b){var c=this.events[a];c||(c=this.events[a]=[]);c.push(b)},emit:function(a,b){v(this.events[a],function(a){a(b)});"error"===a&&delete this.events[a]}};i={config:l,contextName:b,registry:k,defined:p,urlFetched:T,defQueue:A,Module:$,makeModuleMap:m,
nextTick:h.nextTick,onError:w,configure:function(a){a.baseUrl&&"/"!==a.baseUrl.charAt(a.baseUrl.length-1)&&(a.baseUrl+="/");var b=l.shim,c={paths:!0,bundles:!0,config:!0,map:!0};B(a,function(a,b){c[b]?(l[b]||(l[b]={}),V(l[b],a,!0,!0)):l[b]=a});a.bundles&&B(a.bundles,function(a,b){v(a,function(a){a!==b&&(ba[a]=b)})});a.shim&&(B(a.shim,function(a,c){H(a)&&(a={deps:a});if((a.exports||a.init)&&!a.exportsFn)a.exportsFn=i.makeShimExports(a);b[c]=a}),l.shim=b);a.packages&&v(a.packages,function(a){var b,
a="string"===typeof a?{name:a}:a;b=a.name;a.location&&(l.paths[b]=a.location);l.pkgs[b]=a.name+"/"+(a.main||"main").replace(ja,"").replace(R,"")});B(k,function(a,b){!a.inited&&!a.map.unnormalized&&(a.map=m(b))});if(a.deps||a.callback)i.require(a.deps||[],a.callback)},makeShimExports:function(a){return function(){var b;a.init&&(b=a.init.apply(ca,arguments));return b||a.exports&&ea(a.exports)}},makeRequire:function(a,e){function g(f,c,d){var j,l;e.enableBuildCallback&&(c&&G(c))&&(c.__requireJsBuild=
!0);if("string"===typeof f){if(G(c))return w(C("requireargs","Invalid require call"),d);if(a&&s(N,f))return N[f](k[a.id]);if(h.get)return h.get(i,f,a,g);j=m(f,a,!1,!0);j=j.id;return!s(p,j)?w(C("notloaded",'Module name "'+j+'" has not been loaded yet for context: '+b+(a?"":". Use require([])"))):p[j]}L();i.nextTick(function(){L();l=q(m(null,a));l.skipMap=e.skipMap;l.init(f,c,d,{enabled:!0});D()});return g}e=e||{};V(g,{isBrowser:z,toUrl:function(b){var e,d=b.lastIndexOf("."),g=b.split("/")[0];if(-1!==
d&&(!("."===g||".."===g)||1<d))e=b.substring(d,b.length),b=b.substring(0,d);return i.nameToUrl(c(b,a&&a.id,!0),e,!0)},defined:function(b){return s(p,m(b,a,!1,!0).id)},specified:function(b){b=m(b,a,!1,!0).id;return s(p,b)||s(k,b)}});a||(g.undef=function(b){x();var c=m(b,a,!0),e=j(k,b);d(b);delete p[b];delete T[c.url];delete aa[b];U(A,function(a,c){a[0]===b&&A.splice(c,1)});e&&(e.events.defined&&(aa[b]=e.events),y(b))});return g},enable:function(a){j(k,a.id)&&q(a).enable()},completeLoad:function(a){var b,
c,f=j(l.shim,a)||{},d=f.exports;for(x();A.length;){c=A.shift();if(null===c[0]){c[0]=a;if(b)break;b=!0}else c[0]===a&&(b=!0);E(c)}c=j(k,a);if(!b&&!s(p,a)&&c&&!c.inited){if(l.enforceDefine&&(!d||!ea(d)))return g(a)?void 0:w(C("nodefine","No define call for "+a,null,[a]));E([a,f.deps||[],f.exportsFn])}D()},nameToUrl:function(a,b,c){var f,d,g;(f=j(l.pkgs,a))&&(a=f);if(f=j(ba,a))return i.nameToUrl(f,b,c);if(h.jsExtRegExp.test(a))f=a+(b||"");else{f=l.paths;a=a.split("/");for(d=a.length;0<d;d-=1)if(g=a.slice(0,
d).join("/"),g=j(f,g)){H(g)&&(g=g[0]);a.splice(0,d,g);break}f=a.join("/");f+=b||(/^data\:|\?/.test(f)||c?"":".js");f=("/"===f.charAt(0)||f.match(/^[\w\+\.\-]+:/)?"":l.baseUrl)+f}return l.urlArgs?f+((-1===f.indexOf("?")?"?":"&")+l.urlArgs):f},load:function(a,b){h.load(i,a,b)},execCb:function(a,b,c,d){return b.apply(d,c)},onScriptLoad:function(a){if("load"===a.type||ka.test((a.currentTarget||a.srcElement).readyState))P=null,a=K(a),i.completeLoad(a.id)},onScriptError:function(a){var b=K(a);if(!g(b.id))return w(C("scripterror",
"Script error for: "+b.id,a,[b.id]))}};i.require=i.makeRequire();return i}var h,x,y,D,K,E,P,L,q,Q,la=/(\/\*([\s\S]*?)\*\/|([^:]|^)\/\/(.*)$)/mg,ma=/[^.]\s*require\s*\(\s*["']([^'"\s]+)["']\s*\)/g,R=/\.js$/,ja=/^\.\//;x=Object.prototype;var M=x.toString,ga=x.hasOwnProperty,ia=Array.prototype.splice,z=!!("undefined"!==typeof window&&"undefined"!==typeof navigator&&window.document),fa=!z&&"undefined"!==typeof importScripts,ka=z&&"PLAYSTATION 3"===navigator.platform?/^complete$/:/^(complete|loaded)$/,
Z="undefined"!==typeof opera&&"[object Opera]"===opera.toString(),F={},r={},S=[],O=!1;if("undefined"===typeof define){if("undefined"!==typeof requirejs){if(G(requirejs))return;r=requirejs;requirejs=void 0}"undefined"!==typeof require&&!G(require)&&(r=require,require=void 0);h=requirejs=function(b,c,d,g){var u,m="_";!H(b)&&"string"!==typeof b&&(u=b,H(c)?(b=c,c=d,d=g):b=[]);u&&u.context&&(m=u.context);(g=j(F,m))||(g=F[m]=h.s.newContext(m));u&&g.configure(u);return g.require(b,c,d)};h.config=function(b){return h(b)};
h.nextTick="undefined"!==typeof setTimeout?function(b){setTimeout(b,4)}:function(b){b()};require||(require=h);h.version="2.1.11";h.jsExtRegExp=/^\/|:|\?|\.js$/;h.isBrowser=z;x=h.s={contexts:F,newContext:ha};h({});v(["toUrl","undef","defined","specified"],function(b){h[b]=function(){var c=F._;return c.require[b].apply(c,arguments)}});if(z&&(y=x.head=document.getElementsByTagName("head")[0],D=document.getElementsByTagName("base")[0]))y=x.head=D.parentNode;h.onError=da;h.createNode=function(b){var c=
b.xhtml?document.createElementNS("http://www.w3.org/1999/xhtml","html:script"):document.createElement("script");c.type=b.scriptType||"text/javascript";c.charset="utf-8";c.async=!0;return c};h.load=function(b,c,d){var g=b&&b.config||{};if(z)return g=h.createNode(g,c,d),g.setAttribute("data-requirecontext",b.contextName),g.setAttribute("data-requiremodule",c),g.attachEvent&&!(g.attachEvent.toString&&0>g.attachEvent.toString().indexOf("[native code"))&&!Z?(O=!0,g.attachEvent("onreadystatechange",b.onScriptLoad)):
(g.addEventListener("load",b.onScriptLoad,!1),g.addEventListener("error",b.onScriptError,!1)),g.src=d,L=g,D?y.insertBefore(g,D):y.appendChild(g),L=null,g;if(fa)try{importScripts(d),b.completeLoad(c)}catch(j){b.onError(C("importscripts","importScripts failed for "+c+" at "+d,j,[c]))}};z&&!r.skipDataMain&&U(document.getElementsByTagName("script"),function(b){y||(y=b.parentNode);if(K=b.getAttribute("data-main"))return q=K,r.baseUrl||(E=q.split("/"),q=E.pop(),Q=E.length?E.join("/")+"/":"./",r.baseUrl=
Q),q=q.replace(R,""),h.jsExtRegExp.test(q)&&(q=K),r.deps=r.deps?r.deps.concat(q):[q],!0});define=function(b,c,d){var g,h;"string"!==typeof b&&(d=c,c=b,b=null);H(c)||(d=c,c=null);!c&&G(d)&&(c=[],d.length&&(d.toString().replace(la,"").replace(ma,function(b,d){c.push(d)}),c=(1===d.length?["require"]:["require","exports","module"]).concat(c)));if(O){if(!(g=L))P&&"interactive"===P.readyState||U(document.getElementsByTagName("script"),function(b){if("interactive"===b.readyState)return P=b}),g=P;g&&(b||
(b=g.getAttribute("data-requiremodule")),h=F[g.getAttribute("data-requirecontext")])}(h?h.defQueue:S).push([b,c,d])};define.amd={jQuery:!0};h.exec=function(b){return eval(b)};h(r)}})(this);



/* ----------------------------------------------------- CUSTOM SCRIPTS -------------------------------------------- */

// Popup Windows
// File Location: /scripts/GeoScripts/OpenWindowFeatures.js
function strOpenWindowFeatures(iWindowWidth,iWindowHeight){var iMouseX=10;var iMouseY=10;if(window.event!=null){iMouseX=window.event.screenX;iMouseY=window.event.screenY;} var iScreenX=window.screen.availWidth;var iScreenY=window.screen.availHeight;var iWindowLeft=iMouseX;if(iWindowLeft+iWindowWidth>iScreenX){iWindowLeft=iMouseX-iWindowWidth-10;} if(iWindowLeft<10){iWindowLeft=10;} var iWindowTop=iMouseY;if(iWindowTop+iWindowHeight>iScreenY-50){iWindowTop=iMouseY-iWindowHeight-60;} if(iWindowTop<10){iWindowTop=10;} return"width="+iWindowWidth+", height="+iWindowHeight+", left="+iWindowLeft+", top="+iWindowTop+", resizable=yes, scrollbars=yes";} function fnOpenWindow(strWindowURL,strWindowName,iWindowWidth,iWindowHeight){var objNewWindow=window.open(strWindowURL,strWindowName,strOpenWindowFeatures(iWindowWidth,iWindowHeight),false);if(objNewWindow!=null){objNewWindow.focus();}} function popUp(theLink,popUpWidth,popUpHeight){var popUpWindow=window.open(theLink,"popUp","width="+popUpWidth+", height="+popUpHeight+", left=50, top=50, resizable=yes, scrollbars=yes",false);if(popUpWindow!=null){popUpWindow.focus();} return false;} function closePopUp(){window.close();}

// ** fnSimulateRepeaterCommand **
// File Location: /scripts/GeoScripts/SimulateRepeaterCommand.js
// -- KRopa, April 15 2004
function fnSimulateRepeaterCommand(strLinkButtonUniqueID,strHiddenFieldUniqueID,strHiddenFieldValue){var aryLinkButtonID=strLinkButtonUniqueID.toString().split("$");var strLinkButtonClientID=aryLinkButtonID.join("_");var strLinkButtonPostBackID=aryLinkButtonID.join("$");var aryHiddenFieldID=strHiddenFieldUniqueID.toString().split("$");var strHiddenFieldClientID=aryHiddenFieldID.join("_");var objLinkButton=document.getElementById(strLinkButtonClientID);var objHiddenField=document.getElementById(strHiddenFieldClientID);var blnOK=false;if(typeof __doPostBack=='function'){if(objLinkButton!=null){if(typeof objLinkButton=='object'){if(objHiddenField!=null){if(typeof objHiddenField=='object'){if(objHiddenField.value!=null){if(strHiddenFieldValue.toString().length>0){blnOK=true;}else{alert("ERROR! strHiddenFieldValue parameter is an empty string!");}}else{alert("ERROR! DHTML element with id='"+strHiddenFieldClientID+"' has no 'value' attribute!");}}else{alert("ERROR! DHTML element with id='"+strHiddenFieldClientID+"' is not an object!");}}else{alert("ERROR! Could not find a DHTML element with id='"+strHiddenFieldClientID+"'");}}else{alert("ERROR! DHTML element with id='"+strLinkButtonClientID+"' is not an object!");}}else{alert("ERROR! Could not find a DHTML element with id='"+strLinkButtonClientID+"'");}}else{alert("ERROR! Could not find a '__doPostBack' function!");} if(blnOK==true){objHiddenField.value=strHiddenFieldValue.toString();try{__doPostBack(strLinkButtonPostBackID,'');}catch(err){alert("JavaScript error:\n"+err.description);}}}

// ** fnConfirmCheckboxes **
// File Location: /scripts/GeoScripts/ConfirmCheckboxes.js
// This function returns true or false, and is commonly used to verify that at least one checkbox is checked in a list of DHTML checkboxes with the same "name" attribute.
// <input type="submit" onclick="return fnConfirmCheckboxes('[value of "name" attribute]');" />
function fnConfirmCheckboxes(_1,_2,_3){ var _4=false; var _5="Please check at least one item."; if(_2!=null){ if(_2.toString().length>0){ _5=_2.toString(); } } var _6="Are you sure?"; if(_3!=null){ if(_3.toString().length>0){ _6=_3.toString(); } } var i=0; var _8; var _9=document.getElementsByName(_1.toString()); if(_9!=null){ if(typeof _9=="object"){ if(_9.length>0){ for(i=0;i<_9.length;i++){ _8=_9.item(i); if(_8.checked!=null){ if(_8.checked==true){ _4=true; } }else{ alert("ERROR! Element at index "+i.toString()+" of '"+_1.toString()+"' collection has no 'checked' attribute!"); } } if(_4){ _4=confirm(_6); }else{ alert(_5); } }else{ _8=_9.item(0); if(_8.checked!=null){ if(_8.checked==true){ _4=confirm(_6); }else{ alert(_5); } }else{ alert("ERROR! The one '"+_1.toString()+"' element has no 'checked' attribute!"); } } }else{ alert("ERROR! DHTML element named '"+_1.toString()+"' is not an object!"); } }else{ alert("ERROR! Could not find a DHTML element named '"+_1.toString()+"'"); } return _4; }

// Cross-Browser Block Element Display Toggler
// File Location: /scripts/GeoScripts/toggleElement.js
function toggleElement(elId){var visibleStyle="block";if(!document.all){var el=document.getElementById(elId);if((el!=null)&&(typeof(el)=='object')){var elName=el.tagName.toLowerCase();if(elName=="tr"){visibleStyle="table-row";} else if(elName=="tbody"){visibleStyle="table-row-group";}}else{alert("ElementId '"+elId+"' is null or not an object.");}} var v=((document.getElementById(elId).style.display==visibleStyle)||(document.getElementById(elId).style.display==""));document.getElementById(elId).style.display=v?"none":visibleStyle;return false;}

// Adding Event Handlers
// File Location: /scripts/GeoScripts/addEvent.js
function addLoadEvent(fn){return addEvent(window,"load",fn,false);} function addEvent(elm,evType,fn,useCapture){if(elm==null){alert("The element to which to attach the event is null.");return false;} if(evType==null){alert("The type of event to attach is null.");return false;} if(evType==""){alert("The type of event to attach is empty.");return false;} if(fn==null){alert("Cannot add null value to an event handler.");alert(elm);alert(evType);return false;} if(typeof(fn)!="function"){alert("Cannot add any JavaScript types except functions to an event handler.");return false;} if(elm.addEventListener){elm.addEventListener(evType,fn,useCapture);return true;}else if(elm.attachEvent){var r=elm.attachEvent("on"+evType,fn);return r;}else{elm["on"+evType]=fn;return true;}}

// Surf and Edit CMS info show/hide/positioning functions
// File Location: /scripts/GeoScripts/handleCmsInfoAndPanelButtonClick.js
function handleCmsInfoAndPanelButtonClick(obj) {var $objParent=$(obj).parent();var $cmsInfoObj=$objParent.next();$cmsInfoObj.toggleClass('cmsinfoshow');var left=$objParent.position().left;var width=$cmsInfoObj.width();var top=$objParent.position().top-$cmsInfoObj.height()+57;left=left-width-3;$cmsInfoObj.css({position:"absolute",left:left,top:top});} function closeCmsInfoObj(obj) {$(obj).parent().removeClass('cmsinfoshow');}

// Photo Slider - © Geonetric 2010
// File Location: /scripts/GeoScripts/photoSlider.js
// Michael Deeter - October 28, 2010
addLoadEvent(initializePhotoSliders); function initializePhotoSliders() { var c = [], f = []; $(".PhotoSlider").each(function (n) { var o = $(this); o.wrapInner('<div class="Border ClearFix"><div class="Overflow"></div></div>').find(".Border").append('<div class="Buttons ClearFix"></div>').find(".Overflow").children("ul").addClass("Container").children("li").addClass("Slide").eq(0).addClass("Active"); o.find("li.Slide:first").addClass("First"); o.find("li.Slide:last").addClass("Last"); if (o.attr("class").match(/^.*SlideW(\d+).*/) !== null) { var m = o.attr("class").match(/^.*SlideW(\d+).*/)[1]; o.find("li.Slide").width(parseInt(m)) } if (!o.hasClass("HideCaptions")) { o.find(".Buttons").before('<p class="PhotoCaption"></p>') } if (!o.hasClass("HideArrows")) { o.find(".Buttons").append('<a class="Prev" href="javascript:;"></a><a class="Next" href="javascript:;"></a>') } if (o.hasClass("ShowNav") || o.hasClass("Vertical")) { var v = o.find("li.Slide").size(), h = '<div class="SlideNav ClearFix"><ul>', y = 1; for (y = 1; y <= v; y++) { h += '<li><a href="javascript:;"><span>' + y + "</span></a></li>" } h += "</ul></div>"; o.find(".Buttons").append(h); o.find(".SlideNav li:first").addClass("First"); o.find(".SlideNav li:last").addClass("Last") } else { if (!o.hasClass("HideNumbers")) { o.find(".Buttons").append('<em class="Count"><span></span>&nbsp;of&nbsp;<span></span></em>') } } if (o.hasClass("HideNumbers") && o.hasClass("HideCaptions")) { o.find(".Buttons").prepend("<em>&nbsp;</em>") } if (o.hasClass("Vertical")) { o.find(".Border").addClass("Vertical") } var k = 0, l = 0, q = 0, z = parseInt(o.find(".Border").css("borderBottomWidth")) * 2, w = parseInt(o.css("padding-left")), u = parseInt(o.css("padding-right")); o.find(".Slide").each(function () { if ($(this).outerWidth(true) > l) { l = $(this).outerWidth(true) } }); var j = o.attr("class").match(/^.*Width(\d+).*/), r; if (j !== null || o.hasClass("FullWidth")) { if (o.hasClass("FullWidth")) { o.hide(); r = o.parent().width() - w - u; o.show() } else { r = parseInt(j[1]) } o.width(r).addClass("manualWidth"); o.find(".Overflow").width(r - z); var x = o.width() - o.css("padding-left").replace("px", "") - o.css("padding-right").replace("px", ""); o.find(".Slide").width(x).addClass("SlideContent") } else { if (o.attr("class").match(/^.*Show(\d+).*/) !== null) { o.addClass("manualWidth").addClass("MultiSlide"); var p = o.attr("class").match(/^.*Show(\d+).*/)[1], m = o.find("li.Slide.Active").outerWidth(), t = o.find("li.Slide").size() - p; o.width(p * m + z); o.find(".Overflow").width(p * m); o.find("li.Slide").eq(t).addClass("LastSlideToShow") } else { o.width(l + z) } } o.find("li.Slide").each(function () { k += $(this).outerWidth(true) }); o.find(".Container").width(k + 100); if (o.attr("class").match(/^.*AutoSlide.*/) !== null) { o.addClass("Continuous"); var s = 4000; if (o.attr("class").match(/^.*AutoSlide(\d+).*/)) { s = o.attr("class").match(/^.*AutoSlide(\d+).*/)[1] } f[e(o)] = s; c[e(o)] = setInterval(function () { d(e(o)) }, s) } d(e(this), 0, true) }); $('.PhotoSlider[class*="AutoSlide"]').hover(function () { var h = e($(this)); $(this).addClass("Paused"); clearInterval(c[h]) }, function () { var h = e($(this)); $(this).removeClass("Paused"); c[h] = setInterval(function () { d(h) }, f[h]) }); $(".PhotoSlider .Buttons .Prev:not(.Inactive)").live("click", function (h) { var i = $(this).closest(".PhotoSlider"); if (i.hasClass("Continuous") && i.hasClass("MultiSlide") && i.find("li.Slide.Active").hasClass("First")) { prevSlide = i.find("li.Slide").index(i.find("li.Slide.LastSlideToShow")) } else { if (i.hasClass("Continuous") && i.find("li.Slide.Active").hasClass("First")) { prevSlide = i.find("li.Slide").size() - 1 } else { prevSlide = a(this) - 1 } } d(e(this), prevSlide) }); $(".PhotoSlider .Buttons .Next:not(.Inactive)").live("click", function (h) { var i = $(this).closest(".PhotoSlider"); if (i.hasClass("Continuous") && i.hasClass("MultiSlide") && i.find("li.Slide.Active").hasClass("LastSlideToShow")) { nextSlide = 0 } else { if (i.hasClass("Continuous") && i.find("li.Slide.Active").hasClass("Last")) { nextSlide = 0 } else { nextSlide = a(this) + 1 } } d(e(this), nextSlide) }); $(".PhotoSlider .Buttons .SlideNav li").live("click", function () { var h = $(this).parent("ul").find("li").index($(this)); d(e(this), h) }); $(".PhotoSlider .Buttons .SlideNav ul.ImageThumbs li").hover(function () { $(this).not(".Active").animate({ opacity: 1 }, 200) }, function () { $(this).not(".Active").animate({ opacity: 0.4 }, 200) }).live("click", function () { $(this).css({ opacity: 1 }) }); function b(i) { var h = i.width() + parseInt(i.css("padding-left")) + parseInt(i.css("padding-right")) + parseInt(i.css("margin-right")) + parseInt(i.css("margin-left")) + parseInt(i.css("borderRightWidth")) + parseInt(i.css("borderLeftWidth")); return h } function g(j) { var i = j.height() + parseInt(j.css("padding-top")) + parseInt(j.css("padding-bottom")) + parseInt(j.css("margin-top")) + parseInt(j.css("margin-bottom")) + parseInt(j.css("borderTopWidth")) + parseInt(j.css("borderBottomWidth")); return i } function e(i) { var j = $(i).closest(".PhotoSlider"), h = $(".PhotoSlider").index(j); return h } function a(i) { var j = $(i).closest(".PhotoSlider"), h = j.find("li.Slide").index(j.find("li.Slide.Active")); return h } function d(h, j, i) { $(".PhotoSlider").eq(h).each(function () { var Q = $(this), N = Q.find(".Overflow"), H = Q.find(".Container"), G = Q.find("li.Slide").size(), U = "slide"; if (j == null) { j = a(this) + 1; if (Q.find("li.Slide.Active").hasClass("Last")) { j = 0 } } Q.find("li.Slide.Active").removeClass("Active"); Q.find("li.Slide").eq(j).addClass("Active"); Q.find(".Buttons .Count span:first").html(a(Q) + 1); Q.find(".Buttons .Count span:last").html(G); caption = Q.find("li.Slide.Active .Caption").html(); if (caption == null) { caption = Q.find("li.Slide.Active img").attr("alt") } Q.find(".PhotoCaption").html(caption); if (!Q.hasClass("Continuous")) { if (a(Q) == "0") { Q.find(".Buttons .Prev").addClass("Inactive") } else { Q.find(".Buttons .Prev").removeClass("Inactive") } if (a(Q) + 1 == G || Q.find("li.Slide.Active").hasClass("LastSlideToShow")) { Q.find(".Buttons .Next").addClass("Inactive") } else { Q.find(".Buttons .Next").removeClass("Inactive") } } Q.find(".SlideNav li.Active").removeClass("Active"); Q.find(".SlideNav li").eq(a(Q)).addClass("Active"); if (Q.hasClass("FadeMe")) { U = "fade"; Q.find("li.Slide").css("position", "absolute"); Q.find("li.Slide").eq(a(Q)).addClass("Active").stop().css({ opacity: "0", "z-index": "92" }); if (i == true) { Q.find("li.Slide").eq(a(Q)).css({ opacity: "1" }, function () { Q.find("li.Slide").not(".Active").css({ "z-index": "90" }); Q.find("li.Slide.Active").css("z-index", "91") }) } else { Q.find("li.Slide").eq(a(Q)).animate({ opacity: 1 }, function () { Q.find("li.Slide").not(".Active").css({ "z-index": "90" }); Q.find("li.Slide.Active").css("z-index", "91") }) } } var K = Q.find("li.Slide.Active").outerWidth(), V = Q.find("li.Slide.Active").outerHeight(), X = 0, E = 0; Q.find("li.Slide").each(function () { if (E < $(this).outerHeight()) { E = $(this).outerHeight() } }); if (!Q.hasClass("manualWidth")) { if (i == true) { N.width(K).height(E) } else { N.animate({ width: K }) } } if (Q.hasClass("ShowNav") || Q.hasClass("Vertical")) { var I, r, z = false, m = 0, s = 0, D = 0, W = 0, P = 0, y = 0, p = "", l = 0.1, S = Q.find(".SlideNav"), C = 0, L = 0, v = 0, M = Q.find(".Buttons .Prev").outerHeight(), o = Q.find(".Buttons .Next").outerHeight(), F = Q.find(".Buttons .Prev").outerWidth(), Y = Q.find(".Buttons .Next").outerWidth(), R, k; if (M > 0 && o > 0 && F > 0 && Y > 0) { if (M > o) { k = M } else { k = o } if (F > Y) { R = F } else { R = Y } } else { M = 0; F = 0; o = 0; Y = 0 } if (Q.hasClass("Vertical")) { z = true; I = Q.find(".Buttons").parent().height() - parseInt(Q.find(".Buttons").css("padding-top")) - parseInt(Q.find(".Buttons").css("padding-bottom")); r = I - (M + o); Q.find(".Buttons").height(I) } else { r = Q.find(".Buttons").width() - parseInt(Q.find(".Buttons").css("padding-left")) - parseInt(Q.find(".Buttons").css("padding-right")) - (F + Y) } if (Q.attr("class").match(/^.*ImageThumbs.*/) !== null) { Q.find(".SlideNav ul").addClass("ImageThumbs"); if (Q.attr("class").match(/^.*ImageThumbs(\d+).*/)) { l = Q.attr("class").match(/^.*ImageThumbs(\d+).*/)[1] * 0.01 } S.find("li").each(function (n) { p = Q.find("li img").eq(n); $(this).html('<img src="' + p.attr("src") + '" width="' + p.width() * l + '" height="' + p.height() * l + '"/>').not(".Active").css("opacity", "0.4") }) } S.find("li").each(function () { if (z) { y = g($(this)); $(this).height($(this).height()) } else { y = b($(this)) } D += y; if (y > W) { W = y } if ($(this).outerWidth(true) > C) { C = $(this).outerWidth(true); L = C } if (R > C) { C = R } }); P = (parseInt(r / W)); var O = 0; if ($.browser.msie && $.browser.version.substr(0, 1) < 7) { O = parseInt(S.find("li").css("margin-right")) } if (r < D) { if (!(P % 2)) { P = P - 1 } var T = S.find("li.Active"), x = S.find("li").index(T), A = 0, t = (P * 0.5) - 0.5, B = x - t, u = B + P, q = 0; if (B < 0) { B = 0; u = B + P } if (u > G) { u = G; B = u - P } S.find("li.ShowNav").removeClass("ShowNav"); S.find("li").slice(B, u).addClass("ShowNav"); var J = S.find("li").index(S.find(".ShowNav:first")); if (z) { S.find("li").slice(0, J).each(function () { A += g($(this)) }); S.find("li.ShowNav").each(function () { m += g($(this)) }); S.find("ul").height(D + O).stop().animate({ top: -A }) } else { S.find("li").slice(0, J).each(function () { A += b($(this)) }); S.find("li.ShowNav").each(function () { m += b($(this)) }); S.find("ul").width(D + O).stop().animate({ left: -A }) } } else { if (z) { S.find("ul").height(D + O) } else { S.find("ul").width(D + O) } m = D + O } if (z) { S.height(m).css("top", ((r - m) * 0.5) + Q.find(".Buttons .Prev").outerHeight()); if (i) { S.find("li").width(L - parseInt(S.find("li").css("padding-right")) - parseInt(S.find("li").css("padding-left")) - parseInt(S.find("li").css("borderRightWidth")) - parseInt(S.find("li").css("borderLeftWidth"))); I = +C + parseInt(Q.find(".Buttons").css("padding-left")) + parseInt(Q.find(".Buttons").css("padding-right")); Q.width($(this).width() + I); Q.find(".Buttons").width(C); if (Q.hasClass("NavRight")) { Q.find(".Overflow,.PhotoCaption").css("margin-right", I); Q.find(".Border").addClass("NavRight"); Q.find(".Buttons").css("margin-left", Q.find(".Overflow").width()) } else { Q.find(".Overflow,.PhotoCaption").css("margin-left", I) } if (R > L) { v = parseInt((C - L) * 0.5); S.css("margin-left", v + "px").css("margin-right", v + "px") } else { v = parseInt((C - R) * 0.5); S.siblings(".Prev,.Next").css("margin-left", v + "px").css("margin-right", v + "px") } } } else { S.width(m) } } Q.find("li.Slide:lt(" + a(Q) + ")").each(function () { X += $(this).outerWidth(true) }); if (U == "slide") { H.stop().animate({ left: -X }) } }) } } $.fx.prototype.cur = function () { if (this.elem[this.prop] != null && (!this.elem.style || this.elem.style[this.prop] == null)) { return this.elem[this.prop] } var a = parseFloat(jQuery.css(this.elem, this.prop)); return typeof a == "undefined" ? 0 : a };

// jQuery Accordion - © Geonetric 2012
// File Location: /scripts/GeoScripts/accordion.js
// Michael Deeter - January 13, 2010 - updated 4/10/2012
function doAccordions(){SpecialClass="SlideIn";$(".Accordion").not(".AccordionReady").addClass("AccordionReady").each(function(){var $A=$(this);if($A.hasClass(SpecialClass)){$A.css({position:"absolute",visibility:"hidden"})}$A.children("div").addClass("Payload").hide();$A.children(":header").addClass("Trigger").wrapInner("<span/>");$A.find(".Trigger").live("click",function(){$(this).removeClass("Active").next(".Payload").slideUp(200).parent().not(".Independent, .ExpandAll").children(".Payload").slideUp(200).prev(".Trigger").removeClass("Active");$(this).next(".Payload:hidden").slideDown(200,function(){if(isScrolledIntoView($(this))==false){$(window).scrollTop($(this).prev().offset().top)}}).prev(".Trigger").addClass("Active")});function isScrolledIntoView(elem){var docViewTop=$(window).scrollTop();var docViewBottom=docViewTop+$(window).height();var elemTop=$(elem).offset().top;var elemBottom=elemTop+$(elem).height();return((elemBottom<=docViewBottom)&&(elemTop>=docViewTop))}$A.filter('[class*="StartOn"]').each(function(){var starton=$A.attr("class").match(/^.*StartOn(\d+).*/)[1]-1;$A.children(".Payload:eq("+starton+")").show().prev(".Trigger").addClass("Active")});$A.filter(".ShowLast").each(function(){$A.children(".Payload:last").show().prev(".Trigger").addClass("Active")});$A.prevUntil(".Accordion","span.ExpandAll").click(function(){$A.children(".Payload").slideDown(200).prev(".Trigger").addClass("Active")});$A.prevUntil(".Accordion","span.CollapseAll").click(function(){$A.children(".Payload").slideUp(200).prev(".Trigger").removeClass("Active")});$A.filter(".ExpandAll").find("div").show();$A.filter(".ExpandAll").find(".Trigger").addClass("Active");$(window).bind("load",function(){if($A.hasClass(SpecialClass)){$A.each(function(){var $h=$(this).height();$(this).css({height:"0",overflow:"hidden",position:"",visibility:""});$(this).animate({height:$h},250,function(){$(this).css({height:"",overflow:""})})})}})})}$(function(){doAccordions()});

// Tab Function - © Geonetric 2012
// File Location: /scripts/GeoScripts/tabs.js
// Michael Deeter - January 31, 2010
// last updated February 19, 2019 -- minified at http://refresh-sf.com/yui/
$(function(){doTabs()});function doTabs(){if($('div[class^="TabContainer"]:not(.TabsReady)').each(function(){$(this).trigger("preInitTabs");var a=$(this);$('div[class^="TabContainer"]').index(a);a.children(".Tab").addClass("Tabhide ClearFix"),a.addClass("TabsReady"),0==a.children("input.ActiveTabFld").size()&&a.prepend('<input type="hidden" class="ActiveTabFld" value="0"/>'),0==a.children("ul.Tabnav").size()&&(a.prepend('<ul class="Tabnav ClearFix"></ul>'),a.children("div.Tab").each(function(){var a=$(this),i=a.parents('div[class^="TabContainer"]').find("div.Tab").index(a),e="Tab "+(i+1),n=a.find(":header").eq(0).html();null==n&&(n=e),a.siblings("ul.Tabnav").append("<li><a>"+n+"</a></li>")})),CycleThruTabs(),a.children("div.Tab").each(function(){var a=$(this).find(":header").eq(0);a.length&&a.addClass("TabHeader")}),a.children("div.Tab").size()==a.children("div.Tabhide").size()&&(a.find("li:first").addClass("Tabactive"),a.find("div.Tab:first").removeClass("Tabhide"))}),$("a.ShowTab").live("click",function(){var a=$(this).attr("href");window.location.replace(a),CycleThruTabs()}),null==$.url.attr("anchor")){var a=$("input.ActiveTabFld").attrs("value");if(isArray(a)){var e="";for(i=0;i<a.length;i++)if(a[i]>0){e.length>0&&(e+=",");var n=$('div[class^="TabContainer"]').eq(i);n.children("ul.Tabnav").children("li").removeClass().eq(a[i]).addClass("Tabactive"),n.children("div.Tab").addClass("Tabhide").eq(a[i]).removeClass("Tabhide"),e+=n.children("ul.Tabnav").find("li.Tabactive a").attr("href").replace("#","")}e.length>0&&window.location.replace("#"+e)}}$(this).trigger("postInitTabs")}function CycleThruTabs(){$('div[class^="TabContainer"] ul.Tabnav li a').each(function(){var a=$(this),i=$('div[class^="TabContainer"]'),e=a.closest('div[class^="TabContainer"]'),n=(i.index(e),e.children("ul.Tabnav").children("li").index(a.parents("li"))),t=e.children("input.ActiveTabFld"),r=a.attr("href");if(null==r?r="":d=r.replace("#",""),r.indexOf("#")<0){var l="Tab "+(n+1),d=e.children("div.Tab").eq(n).find(":header").eq(0).text();d=d.replace(/\s/g,"-"),null!=d&&""!=d&&"-"!=d||(d=l),a.attr("href","#"+d)}var s=$.url.attr("anchor");if(null!=s){var c=s.split(",");("get"==Geonetric.Page.RequestMethod.toLowerCase()&&d in oc(c)||"post"==Geonetric.Page.RequestMethod.toLowerCase()&&n.toString()==t.val())&&(e.children("ul.Tabnav").find("li").removeClass("Tabactive").eq(n).addClass("Tabactive"),e.children("div.Tab").addClass("Tabhide").eq(n).addClass("shouldbeactive").removeClass("Tabhide"),t.val(n))}})}function oc(a){for(var i={},e=0;e<a.length;e++)i[a[e]]="";return i}function isArray(a){return-1!=a.constructor.toString().indexOf("Array")}function ValidateTabs(){TabUtility.ValidateTabs()}$(function(){doTabs()}),$.fn.attrs=function(a,i){return void 0!=i?this.attr(a,i):$.map(this,function(i){return $(i).attr(a)})},$('div[class^="TabContainer"] ul.Tabnav li a').live("click",function(){var a=$(this).attr("href"),e=$(this).parent("li"),n=$('div[class^="TabContainer"]'),t=e.closest('div[class^="TabContainer"]'),r=t.children("input.ActiveTabFld"),l=n.index(t),t=e.closest('div[class^="TabContainer"]'),d=$(e.parents("ul").children("li")).index(e);e.siblings().removeClass("Tabactive").end().addClass("Tabactive"),t.children(".Tab").addClass("Tabhide"),t.children("div.Tab:eq("+d+")").removeClass("Tabhide");var s=$.url.attr("anchor");if(null!=s){var c=a,o=s.split(",");for(i=0;i<o.length;i++){var v=n.index(n.find("ul.Tabnav").find('a[href="#'+o[i]+'"]').parents('div[class^="TabContainer"]'));v!==l&&(c+=","+o[i])}s=c}else s=a;return r.val(d),window.location.replace(s),updateCustomDropdowns(),t.trigger("tabClicked",[a]),!1}),TabUtility={ValidateTabs:function(){try{var a=new Array;$("ul.Tabnav li").each(function(i,e){a.push(TabUtility.ValidateTab(i,e))});for(var i=0;i<a.length;i++)if(a[i]===!0)return void $("ul.Tabnav li a").eq(i).trigger("click")}catch(e){alert("Error: "+e)}},ValidateTab:function(a,i){var e=i.label,n=$(i),t=$("a",n);Geonetric.String.IsNullOrEmpty(e)&&(e=t.text()),i.label=e;for(var r=0;r<Page_Validators.length;r++){var l=Page_Validators[r],d=$("div.Tab",n.parent().parent()).eq(a),s=$("#"+l.id,d);if(1==s.length&&s.get(0).isvalid===!1)return t.text(e),t.append(String.format(" <img style='margin-bottom: -5px;' src='{0}' />",Geonetric.Page.ResolveUrl("~/imgs/icons/icon_alert.gif"))),!0}return t.text(e),!1}},$(document).ready(function(){0==$("#AdminMenuWrapper").length&&$("div.TabContainer").addClass("TabContainerlive")});

// Page.js
// File Location: /scripts/GeoScripts/page.js
Geonetric={String:{Empty:"",IsNullOrEmpty:function(e){return null==e||void 0==e||e===Geonetric.String.Empty?!0:!1},NormalizeSpace:function(e){return e.replace(/^\s*|\s(?=\s)|\s*$/g,"")},op_multiply:function(e,t){for(var n=[],i=0;t>=1<<i;i++)1<<i&t&&n.push(e),e+=e;return n.join("")},GetValueFromAnchor:function(e){return e.attr("href").split("#")[1]}},Timer:{MainTimer:0,WarningTimer:0,SetupTimer:function(e,t){this.MainTimer=e,this.WarningTimer=t,this.SendHeartbeat=!1,e>0&&t>0&&($("body").append('<div id="TimeOutWarningModal" class="modal TimeOutModal"><h3 class="header">Session Timeout Warning</h3><p>For security reasons, your session is about to time out unless you continue.</p><p id="SessionCountdown"></p><div class="Btn LinkBox"><button class="ExtendSessionTimeout">Continue Session</button></div>'),$("body").append('<div id="TimedOutModal" class="modal TimeOutModal"><h3 class="header">Session Timed Out</h3><p>For security reasons your session has timed out.</p><p id="SessionCountdown"></p><p>Click continue or refresh the page<br/> to re-authenticate.</p><div class="Btn LinkBox"><button class="ExtendSessionTimeout">Continue</button></div></div>'),Geonetric.Timer.StartTimeoutCountdown(),Geonetric.Timer.SetHeartbeatCooldown(),Geonetric.Timer.RegisterHeartbeatEvents())},StartTimeoutCountdown:function(){var countdown=Geonetric.Timer.WarningTimer;this.TimeoutWarning=setTimeout($.proxy(function(){modal("TimeOutWarningModal",!1),countdown=Math.round(countdown/1e3);var counter=$("#SessionCountdown").html(Geonetric.Timer.SecToMin(countdown)+" remaining");this.SessionTimeout=setInterval(function(){countdown=eval(countdown)-eval(1),counter.html(Geonetric.Timer.SecToMin(countdown)+" remaining"),0==countdown&&(unmodal("TimeOutWarningModal"),modal("TimedOutModal",!1),Geonetric.Timer.ResetTimeoutCountdown(),Geonetric.Timer.ClearHeartbeatTimer())},1e3)},this),Geonetric.Timer.MainTimer)},ResetTimeoutCountdown:function(){clearTimeout(Geonetric.Timer.TimeoutWarning),clearInterval(Geonetric.Timer.SessionTimeout)},SecToMin:function(e){var t=e%3600,n=Math.floor(t/60),i=t%60,o=Math.ceil(i);return n+":"+Geonetric.Timer.Pad2(o)},Pad2:function(e){return(10>e?"0":"")+e},ResetTimeoutModal:function(){unmodal("TimeOutWarningModal"),Geonetric.Timer.ResetTimeoutCountdown(),Geonetric.Timer.StartTimeoutCountdown()},SetHeartbeatCooldown:function(){Geonetric.Timer.SendHeartbeat=!1,Geonetric.Timer.HeartbeatTimer=setTimeout(function(){Geonetric.Timer.SendHeartbeat=!0},15e3)},RegisterHeartbeatEvents:function(){setTimeout(function(){var e=Geonetric.Timer.SendHeartbeatRequest;$(document).keypress(e).click(e),$("iframe").contents().each(function(t,n){$(n).keypress(e).click(e)})},3e3)},SendHeartbeatRequest:function(){Geonetric.Timer.SendHeartbeat&&$.get("/heartbeat.ashx",function(e){Geonetric.Timer.SetHeartbeatCooldown(),Geonetric.Timer.ResetTimeoutModal()})},ClearHeartbeatTimer:function(){clearTimeout(Geonetric.Timer.HeartbeatTimer),Geonetric.Timer.SendHeartbeat=!1}},Page:{VirtualDirectory:"/",ResolveUrl:function(e){return Geonetric.String.IsNullOrEmpty(e)?e:e.length>=2&&"~/"==e.substring(0,2)?Geonetric.Page.VirtualDirectory+e.substring(2):e},DisplayError:function(e){"function"==typeof DisplayMessage?DisplayMessage(e.message?e.message:e):alert(e.message?e.message:e)}},DOM:{GetElementById:function(e){return document.getElementById(e)},GetElementByClass:function(e){return $("."+e)},GetClassesOnElement:function(e){var t=new Array;if(null!=e&&!Geonetric.String.IsNullOrEmpty(e.className)){var n=e.className.split(" "),i=0;for(i=0;i<n.length;i++){var o=n[i].trim();Geonetric.String.IsNullOrEmpty(o)||t.push(o)}}return t},RemoveAllChildrenElementsAndText:function(e){for(var t=e.childNodes,n=0;n<t.length;n++)e.removeChild(t.item(n))},IsDomElementVisible:function(e){if(e==document)return!0;if(!e)return!1;if(!e.parentNode)return!1;if(e.style){if("none"==e.style.display)return!1;if("hidden"==e.style.visibility)return!1}if(window.getComputedStyle){var t=window.getComputedStyle(e,"");if("none"==t.display)return!1;if("hidden"==t.visibility)return!1}var t=e.currentStyle;if(t){if("none"==t.display)return!1;if("hidden"==t.visibility)return!1}return Geonetric.DOM.IsDomElementVisible(e.parentNode)},GetTextContent:function(e){var t=new Array;Geonetric.DOM.AddAllTextNodes(e,t);var n=new Array,i=0;for(i=0;i<t.length;i++){var o=t[i];n.push(o.data)}var r=n.join(""),a=new Array,c=0;for(c=0;c<r.length;c++){var s=r.charCodeAt(c);160!=s&&a.push(String.fromCharCode(s))}return a.join("").trim()},AddAllTextNodes:function(e,t){var n=0;for(n=0;n<e.childNodes.length;n++){var i=e.childNodes[n];1==i.nodeType&&Geonetric.DOM.AddAllTextNodes(i,t),3==i.nodeType&&t.push(i)}}},Net:{Uri:{AppendQueryStringParameter:function(e,t,n){if(Geonetric.String.IsNullOrEmpty(e)||Geonetric.String.IsNullOrEmpty(t))return e;var i=e.indexOf("?");if(0>=i)return Geonetric.String.IsNullOrEmpty(n)?e+"?"+t:e+"?"+t+"="+n;for(;"&"===e.charAt(e.length-1);)e=e.substring(0,e.length-1);return Geonetric.String.IsNullOrEmpty(n)?e+"&"+t:e+"&"+t+"="+n}}},Forms:{CopyValuesFromSource:function(){var e=0;for(e=1;2>=e;e++)$(".destination"+e+"s").click(function(){var e=parseInt(this.className.substring(11,12));if($("input",this).get(0).checked)for(var t="a".charCodeAt(0);$(".source"+e+String.fromCharCode(t)).length>0;)Geonetric.Forms.CopyFromTo(String.fromCharCode(t),e),t++})},CopyFromTo:function(e,t){var n=$(".source"+t+e+" input"),i=$("select,input",$(".destination"+t+e)),o=0;for(o=0;o<n.length;o++)if(Geonetric.String.IsNullOrEmpty(n.val())){if(null!=n.get(o).options){var r=0;for(r=0;r<i.options.length;r++)r.options[r].value==n.eq(r).val()&&(r.options[r].selected=!0)}}else i.eq(o).val(n.eq(o).val())}},Diagnostics:{IS_DEBUG:!1,Log:function(e){Geonetric.Diagnostics.IS_DEBUG&&DisplayMessage(e)},GetGetStackTraceFunction:function(){var e;try{0()}catch(t){e=t.stack?"Firefox":window.opera?"Opera":"Other"}switch(e){case"Firefox":return function(){try{0()}catch(e){return e.stack.replace(/^.*?\n/,"").replace(/(?:\n@:0)?\s+$/m,"").replace(/^\(/gm,"{anonymous}(").split("\n")}};case"Opera":return function(){try{0()}catch(e){var t,n,i,o=e.message.split("\n"),r="{anonymous}",a=/Line\s+(\d+).*?in\s+(http\S+)(?:.*?in\s+function\s+(\S+))?/i;for(t=4,n=0,i=o.length;i>t;t+=2)a.test(o[t])&&(o[n++]=(RegExp.$3?RegExp.$3+"()@"+RegExp.$2+RegExp.$1:r+RegExp.$2+":"+RegExp.$1)+" -- "+o[t+1].replace(/^\s+/,""));return o.splice(n,o.length-n),o}};default:return function(){for(var e,t,n,i=arguments.callee.caller,o="function",r="{anonymous}",a=/function\s*([\w\-$]+)?\s*\(/i,c=[],s=0;i;){for(e=a.test(i.toString())?RegExp.$1||r:r,t=c.slice.call(i.arguments),n=t.length;n--;)switch(typeof t[n]){case"string":t[n]='"'+t[n].replace(/"/g,'\\"')+'"';break;case"function":t[n]=o}c[s++]=e+"("+t.join()+")",i=i.caller}return c}}},LogStackTrace:function(){var e=Geonetric.Diagnostics.GetGetStackTraceFunction()();Geonetric.Diagnostics.Log(e.join("<br /><br />"))}}},$id=Geonetric.DOM.GetElementById,$class=Geonetric.DOM.GetElementByClass,$isVisible=Geonetric.DOM.IsDomElementVisible,String.prototype.NormalizeSpace=function(){return Geonetric.String.NormalizeSpace(this)},String.prototype.Multiply=function(e){return Geonetric.String.op_multiply(this,e)},$(Geonetric.Forms.CopyValuesFromSource),window.Geonetric_FormSubmitPrepare=function(){var e=0;for(e=0;e<window.Geonetric_DoPostBackPreparationFunctions.length;e++)try{window.Geonetric_DoPostBackPreparationFunctions[e]()}catch(t){}},window.Geonetric_DoPostBack=function(e,t){Geonetric_FormSubmitPrepare(),Geonetric_OldDoPostBack(e,t)},window.Geonetric_FormSubmitHandler=function(e,t){var n=!0;return window.Geonetric_HandlingFormSubmit||(window.Geonetric_HandlingFormSubmit=!0,Geonetric_FormSubmitPrepare(),!t&&window.Geonetric_OldSubmitHandler&&(n=Geonetric_OldSubmitHandler(e)),window.Geonetric_HandlingFormSubmit=!1),n},$(function(){document.forms[0]&&document.forms[0].onsubmit!=window.Geonetric_FormSubmitHandler&&(window.Geonetric_OldSubmitHandler=document.forms[0].onsubmit,document.forms[0].onsubmit=window.Geonetric_FormSubmitHandler),window.__doPostBack&&window.__doPostBack!=window.Geonetric_DoPostBack&&(window.Geonetric_OldDoPostBack=window.__doPostBack,window.__doPostBack=window.Geonetric_DoPostBack)}),Geonetric.Validation={TextBox:{WireUpPreProcessChangeEvent:function(e,t){var n=document.getElementById(e);if(null!=n){var i=n.onchange;n.onchange=function(e){return Geonetric.Validation.TextBox.HandleChangeEventWithEvent(e,t,i,n)}}},HandleChangeEventWithEvent:function(e,t,n,i){return t(i.value,i),null!=n?n(e):void 0}},Globalization:{UpdateValidation:function(e,t){var n=t.IsRequired,i=t.RequiredIndicatorVisible,o=t.LabelText,r=t.HelpText,a=t.MaxLength,c=t.Regex,s=t.IgnoreCase,u=$id(e),l=$id(u.requiredvalidator),d=$id(u.regexvalidator);null!=l&&(ValidatorEnable(l,n),$(l).hide()),null!=d&&(d.validationexpression=Geonetric.String.IsNullOrEmpty(c)?".*":new RegExp(c,s?"i":""),ValidatorEnable(d,!1),ValidatorEnable(d,!0)),Geonetric.Validation.Globalization._updateLabelNode(u,n&i,o,r,a)},_updateLabelNode:function(e,t,n,i,o){var r=e.parentNode.getElementsByTagName("label")[0],a=r.childNodes,c=0;for(c=a.length-1;c>=0;c--)2!=a[c].nodeType&&r.removeChild(a[c]);if(t){var s=r.ownerDocument.createElement("span");s.className="Required";var u=r.ownerDocument.createTextNode("* ");s.appendChild(u),r.appendChild(s)}var l=r.ownerDocument.createTextNode(n);if(r.appendChild(l),!Geonetric.String.IsNullOrEmpty(i)){var d=r.ownerDocument.createElement("small"),m=r.ownerDocument.createTextNode(i);d.appendChild(m),r.appendChild(d)}null!=e.attributes.getNamedItem("maxlength")&&e.removeAttribute("maxlength"),o>0&&e.setAttribute("maxlength",o.toString())}}};

// Validation Fix
// File Location: /scripts/GeoScripts/ValidationFix.js
$(document).ready(function(){ValidatorUpdateDisplay=function(val){if(typeof(val.display)=="string"){if(val.display=="None"){return}if(val.display=="Dynamic"){if(val.PreventDisplayUpdate==true){if(val.ShouldFlip==true){val.PreventDisplayUpdate=false}return}if(!Geonetric.String.IsNullOrEmpty(val.successimageid)&&!Geonetric.String.IsNullOrEmpty(val.failimageid)){var showControlId=val.isvalid?val.successimageid:val.failimageid;var hideControlId=val.isvalid?val.failimageid:val.successimageid;if(val.enabled==false){$id(showControlId).style.display="none";$id(hideControlId).style.display="none"}else{$id(showControlId).style.display="inline";$id(hideControlId).style.display="none"}}val.style.display=val.isvalid?"none":"block";return}}if((navigator.userAgent.indexOf("Mac")>-1)&&(navigator.userAgent.indexOf("MSIE")>-1)){val.style.display="block"}val.style.visibility=val.isvalid?"hidden":"visible"}});$(document).ready(function(){ValidationSummaryOnSubmit=function(validationGroup){if(typeof(Page_ValidationSummaries)=="undefined")return;var summary,sums,s;for(sums=0;sums<Page_ValidationSummaries.length;sums++){summary=Page_ValidationSummaries[sums];summary.style.display="none";if(!Page_IsValid&&IsValidationGroupMatch(summary,validationGroup)){var i;if(summary.showsummary!="False"){summary.style.display="";if(typeof(summary.displaymode)!="string"){summary.displaymode="BulletList"}switch(summary.displaymode){case"List":headerSep="<br>";first="";pre="";post="<br>";end="";break;case"BulletList":default:headerSep="";first="<ul>";pre="<li>";post="</li>";end="</ul>";break;case"SingleParagraph":headerSep=" ";first="";pre="";post=" ";end="<br>";break}s="";if(typeof(summary.headertext)=="string"){s+=summary.headertext+headerSep}s+=first;for(i=0;i<Page_Validators.length;i++){if(!Page_Validators[i].isvalid&&typeof(Page_Validators[i].errormessage)=="string"){if(summary.isCustom=="true"){s+=pre+String.format("<label for='{0}' >{1} </label>",Page_Validators[i].controltovalidate,Page_Validators[i].errormessage)+post}else{s+=pre+Page_Validators[i].errormessage+post}}}s+=end;summary.innerHTML=s;window.scrollTo(0,0)}if(summary.showmessagebox=="True"){s="";if(typeof(summary.headertext)=="string"){s+=summary.headertext+"\r\n"}var lastValIndex=Page_Validators.length-1;for(i=0;i<=lastValIndex;i++){if(!Page_Validators[i].isvalid&&typeof(Page_Validators[i].errormessage)=="string"){switch(summary.displaymode){case"List":s+=Page_Validators[i].errormessage;if(i<lastValIndex){s+="\r\n"}break;case"BulletList":default:s+="- "+Page_Validators[i].errormessage;if(i<lastValIndex){s+="\r\n"}break;case"SingleParagraph":s+=Page_Validators[i].errormessage+" ";break}}}alert(s)}}}}});

// Validate Live Data
// File Location: /scripts/GeoScripts/ValidationLive.js
// Michael Deeter - September 2010
// last updated 10/11/2011 -- minified at http://refresh-sf.com/yui/
$(function(){$(".ValidateGroup").each(function(){var b=$(this),a=b.find(".required :input");a.bind("focus",function(){ValidateGroup($(this).closest(".ValidateGroup"),"focus")});a.bind("blur",function(){ValidateGroup($(this).closest(".ValidateGroup"),"blur")});ValidateGroup($(this),"load")})});function ValidateGroup(d,c){var a=d.find(".required :input").not(d.find(".ValidateGroup .required :input"));a.each(function(e){$(this).addClass("RequiredField");if(c=="load"){if(d.find(".Validator:visible").size()>0){if($(this).val()==0||$(this).val()==""){$(this).addClass("RequiredError")}}}});if(c!=="focus"){var b=a.filter(function(f){var g=$(this).val()==""||$(this).val()==0;if($(this).closest(".required").hasClass("AtLeastOneRequired")){g=$(this).closest(".AtLeastOneRequired").find(":input").filter(function(){return $(this).val()>0||$(this).val()!=""}).size()==0}return g}).size();if(b>0){d.addClass("EmptyRequirements");if(d.hasClass("OptionalGroup")&&b==a.size()){d.removeClass("EmptyRequirements");a.removeClass("RequiredField")}return false}else{d.find(".RequiredField").removeClass("RequiredField RequiredError");d.removeClass("EmptyRequirements")}}};

/*
	jQuery Masked Input Plugin
    Copyright (c) 2007 - 2015 Josh Bush (digitalbush.com)
    Licensed under the MIT license (http://digitalbush.com/projects/masked-input-plugin/#license)
    Version: 1.4.1
    MODIFIED FROM ORIGINAL SOURCE, 3/28/17, Geonetric
*/
$(function ($) {
    var caretTimeoutId, ua = navigator.userAgent, iPhone = /iphone/i.test(ua), chrome = /chrome/i.test(ua), android = /android/i.test(ua); if (android || iPhone) { $('[class*="Masked"] input').each(function () { var el = $(this); if (el.attr('maxlength')) { el.attr('maxlength', (el.attr('maxlength') * 2)); } }); }
    $.mask = { definitions: { "9": "[0-9]", a: "[A-Za-z]", "*": "[A-Za-z0-9]" }, autoclear: !0, dataName: "rawMaskFn", placeholder: "_" }, $.fn.extend({
        caret: function (begin, end) { var range; if (0 !== this.length && !this.is(":hidden")) return "number" == typeof begin ? (end = "number" == typeof end ? end : begin, this.each(function () { this.setSelectionRange ? this.setSelectionRange(begin, end) : this.createTextRange && (range = this.createTextRange(), range.collapse(!0), range.moveEnd("character", end), range.moveStart("character", begin), range.select()); })) : (this[0].setSelectionRange ? (begin = this[0].selectionStart, end = this[0].selectionEnd) : document.selection && document.selection.createRange && (range = document.selection.createRange(), begin = 0 - range.duplicate().moveStart("character", -1e5), end = begin + range.text.length), { begin: begin, end: end }); }, unmask: function () { return this.trigger("unmask"); }, mask: function (mask, settings) {
            var input, defs, tests, partialPosition, firstNonMaskPos, lastRequiredNonMaskPos, len, oldVal; if (!mask && this.length > 0) { input = $(this[0]); var fn = input.data($.mask.dataName); return fn ? fn() : void 0; }
            return settings = $.extend({ autoclear: $.mask.autoclear, placeholder: $.mask.placeholder, completed: null }, settings), defs = $.mask.definitions, tests = [], partialPosition = len = mask.length, firstNonMaskPos = null, $.each(mask.split(""), function (i, c) { "?" == c ? (len--, partialPosition = i) : defs[c] ? (tests.push(new RegExp(defs[c])), null === firstNonMaskPos && (firstNonMaskPos = tests.length - 1), partialPosition > i && (lastRequiredNonMaskPos = tests.length - 1)) : tests.push(null); }), this.trigger("unmask").each(function () {
                function tryFireCompleted() { if (settings.completed) { for (var i = firstNonMaskPos; lastRequiredNonMaskPos >= i; i++) if (tests[i] && buffer[i] === getPlaceholder(i)) return; settings.completed.call(input); } }
                function getPlaceholder(i) { return settings.placeholder.charAt(i < settings.placeholder.length ? i : 0); }
                function seekNext(pos) { for (; ++pos < len && !tests[pos];); return pos; }
                function seekPrev(pos) { for (; --pos >= 0 && !tests[pos];); return pos; }
                function shiftL(begin, end) {
                    var i, j; if (!(0 > begin)) {
                        for (i = begin, j = seekNext(end) ; len > i; i++) if (tests[i]) { if (!(len > j && tests[i].test(buffer[j]))) break; buffer[i] = buffer[j], buffer[j] = getPlaceholder(j), j = seekNext(j); }
                        writeBuffer(), input.caret(Math.max(firstNonMaskPos, begin));
                    }
                }
                function shiftR(pos) { var i, c, j, t; for (i = pos, c = getPlaceholder(pos) ; len > i; i++) if (tests[i]) { if (j = seekNext(i), t = buffer[i], buffer[i] = c, !(len > j && tests[j].test(t))) break; c = t; } }
                function androidInputEvent(e) {
                    var curVal = input.val(), pos = input.caret(); if (oldVal && oldVal.length && oldVal.length > curVal.length) { for (checkVal(!0) ; pos.begin > 0 && !tests[pos.begin - 1];) pos.begin--; if (0 === pos.begin) for (; pos.begin < firstNonMaskPos && !tests[pos.begin];) pos.begin++; input.caret(pos.begin, pos.begin); } else { for (checkVal(!0) ; pos.begin < len && !tests[pos.begin];) pos.begin++; input.caret(pos.begin, pos.begin); }
                    tryFireCompleted();
                }
                function blurEvent() { checkVal(), input.val() != focusText && input.change(); }
                function keydownEvent(e) { if (!input.attr("readonly")) { var pos, begin, end, k = e.which || e.keyCode; oldVal = input.val(), 8 === k || 46 === k || iPhone && 127 === k ? (pos = input.caret(), begin = pos.begin, end = pos.end, end - begin === 0 && (begin = 46 !== k ? seekPrev(begin) : end = seekNext(begin - 1), end = 46 === k ? seekNext(end) : end), clearBuffer(begin, end), shiftL(begin, end - 1), e.preventDefault()) : 13 === k ? blurEvent.call(this, e) : 27 === k && (input.val(focusText), input.caret(0, checkVal()), e.preventDefault()); } }
                function keypressEvent(e) {
                    if (!input.attr("readonly")) {
                        var p, c, next, k = e.which || e.keyCode, pos = input.caret(); if (!(e.ctrlKey || e.altKey || e.metaKey || 32 > k) && k && 13 !== k) {
                            if (pos.end - pos.begin !== 0 && (clearBuffer(pos.begin, pos.end), shiftL(pos.begin, pos.end - 1)), p = seekNext(pos.begin - 1), len > p && (c = String.fromCharCode(k), tests[p].test(c))) { if (shiftR(p), buffer[p] = c, writeBuffer(), next = seekNext(p), android) { var proxy = function () { $.proxy($.fn.caret, input, next)(); }; setTimeout(proxy, 0); } else input.caret(next); pos.begin <= lastRequiredNonMaskPos && tryFireCompleted(); }
                            e.preventDefault();
                        }
                    }
                }
                function clearBuffer(start, end) { var i; for (i = start; end > i && len > i; i++) tests[i] && (buffer[i] = getPlaceholder(i)); }
                function writeBuffer() { input.val(buffer.join("")); }
                function checkVal(allow) {
                    var i, c, pos, test = input.val(), lastMatch = -1; for (i = 0, pos = 0; len > i; i++) if (tests[i]) {
                        for (buffer[i] = getPlaceholder(i) ; pos++ < test.length;) if (c = test.charAt(pos - 1), tests[i].test(c)) { buffer[i] = c, lastMatch = i; break; }
                        if (pos > test.length) { clearBuffer(i + 1, len); break; }
                    } else buffer[i] === test.charAt(pos) && pos++, partialPosition > i && (lastMatch = i); return allow ? writeBuffer() : partialPosition > lastMatch + 1 ? settings.autoclear || buffer.join("") === defaultBuffer ? (input.val() && input.val(""), clearBuffer(0, len)) : writeBuffer() : (writeBuffer(), input.val(input.val().substring(0, lastMatch + 1))), partialPosition ? i : firstNonMaskPos;
                }
                var input = $(this), buffer = $.map(mask.split(""), function (c, i) { return "?" != c ? defs[c] ? getPlaceholder(i) : c : void 0; }), defaultBuffer = buffer.join(""), focusText = input.val(); input.data($.mask.dataName, function () { return $.map(buffer, function (c, i) { return tests[i] && c != getPlaceholder(i) ? c : null; }).join(""); }), input.one("unmask", function () { input.unbind(".mask").removeData($.mask.dataName); }).bind("focus.mask", function () { if (!input.attr("readonly")) { clearTimeout(caretTimeoutId); var pos; focusText = input.val(), pos = checkVal(), caretTimeoutId = setTimeout(function () { input.get(0) === document.activeElement && (writeBuffer(), pos == mask.replace("?", "").length ? input.caret(0, pos) : input.caret(pos)); }, 10); } }).bind("blur.mask", blurEvent).bind("keydown.mask", keydownEvent).bind("keypress.mask", keypressEvent).bind("input.mask paste.mask", function () { input.attr("readonly") || setTimeout(function () { var pos = checkVal(!0); input.caret(pos), tryFireCompleted(); }, 0); }), chrome && android && input.unbind("input.mask").bind("keyup.mask", androidInputEvent), checkVal();
            });
        }
    });
});


// CUSTOM SELECT REPLACEMENT SCRIPT - © Geonetric 2011
// File Location: /scripts/GeoScripts/jquery.selectReplace.js
// 7/22/2011 @ mdeeter - updated 9/19/2011
// updated 7/26/2012 - added functionality to disable the click when the control is disabled based on interaction with other controls on teh page
$(function () { $(".ManualCustomDropdown").VSDropdown(); }); $.fn.VSDropdown = function () { var ignoreKeysArr = [91], breakKeysArr = [8, 17, 18, 19, 20, 27, 45, 46], alphaArr = ("a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,0,1,2,3,4,5,6,7,8,9").split(","); return this.each(function () { var $this = $(this); if (this.tagName == "SELECT") { var $options = $this.find("option"), $selected = $options.filter(":selected") || $options.eq(0), $selectedIndex = $options.index($selected), standardDD = true, debug = $.url.param("debug"); if ($this.prev(".VSDropDown").size() == 0) { $this.hide().before('<dl class="VSDropDown"><dt><input class="selectVal"/><span class="hiddenValue"></span><span class="hiddenName"></span></dt><dd><ul class="ddItems"></ul></dd></dl>') } else { if (debug == undefined) { $this.hide() } standardDD = false } var $dd = $this.prev(".VSDropDown"), $ddInput = $dd.find("input.selectVal"), $ddItems = $dd.find(".ddItems"); $ddInput.addClass($this.attr("class")).removeClass("CustomDropdown ManualCustomDropdown"); if ($ddInput.width() > $dd.parent().width()) { $ddInput.css("width", "80% important!") } if (standardDD) { $options.each(function () { InsertLiElementVsDropDown($ddItems, $(this), false) }) } traverseDropDown($dd, $selectedIndex); updateCustomDropdowns($dd); this.IsJqueryEnabledDropDown = true; $this.bind("optionTextChanged", function () { var $selectedLi = ($(this).prev(".VSDropDown")).find("li").eq(this.selectedIndex); var optionText = $(this).find("option").eq(this.selectedIndex).text(); $selectedLi.title = ParseTitleForJuqeryDDlLIElement(optionText); $selectedLi.find(".optionName").html(optionText); $selectedLi.trigger("click") }); $ddItems.bind("click", function (e) { var $li = $(e.target).closest("li"), $index = $li.parent().children().index($li); traverseDropDown($(this).closest(".VSDropDown"), $index, true, true) }); $dd.find("dt input").bind("click", function () { if ($ddItems.is(":visible") || $(this).closest("dl").hasClass("disabled")) { $ddItems.hide() } else { $(".ddItems").hide(); $ddItems.width($ddInput.width()).show(0, function () { var $docWidth = $(document).width(), $winWidth = $(window).width(), $triggerWidth = $ddItems.outerWidth(), $triggerPosition = $dd.offset(), $widthLeft = $triggerPosition.left, $widthRight = $winWidth - $widthLeft, $offsetLeft = 0; if ($widthRight > $triggerWidth) { $offsetLeft = 0 } else { $offsetLeft = $triggerWidth - $widthRight + 10 } $ddItems.css({ left: -$offsetLeft }); var $docHeight = $(document).height(), $winHeight = $(window).height(), $triggerHeight = $dd.outerHeight(), $triggerPosition = $dd.offset(), $scrolledHeight = $(window).scrollTop(), $ddheight = $ddItems.outerHeight(), $heightAbove = $triggerPosition.top - $scrolledHeight, $heightBelow = $winHeight - $heightAbove - $triggerHeight, $offsetTop = 0; if ($heightBelow < $ddheight) { $offsetTop = -$ddheight - $triggerHeight; if ($heightAbove < $ddheight) { $offsetTop = 0 } if (($docHeight - ($winHeight + $scrolledHeight) < $ddheight) && ($heightBelow < $ddheight) && (($heightAbove + $scrolledHeight) > $ddheight)) { $offsetTop = -$ddheight - $triggerHeight } } else { $offsetTop = 0 } $ddItems.css({ top: $offsetTop }); var $scrollTo = $ddItems.find("li.selected"); $ddItems.scrollTop(0); $ddItems.scrollTop($scrollTo.offset().top - $ddItems.offset().top) }) } }); $this.bind("change", function () { if ($this.find("option").size() > $ddItems.find("li").size()) { var $newlyInsertedOptionElement = $(this).find("option:last"); InsertLiElementVsDropDown($ddItems, $newlyInsertedOptionElement, true) } }); if (!$("body").hasClass("VSDropDownClickClose")) { $(document).bind("click", function (e) { var $clicked = $(e.target); if (!$clicked.hasClass("selectVal")) { $(".ddItems").hide() } }); $("body").addClass("VSDropDownClickClose") } $ddInput.bind("keydown", function (e) { var $currentIndex = $dd.find("li").index($dd.find("li.selected")), $key = e.keyCode || e.which, $charStr = String.fromCharCode($key); if ($key == 38 || $key == 40) { $ddItems.show(); var $pos = ($ddItems.find(".tempSelect").getThisIndex() >= 0) ? $ddItems.find(".tempSelect").getThisIndex() : $ddItems.find(".selected").getThisIndex(), $newItem = $ddItems.find("li").removeClass("tempSelect").eq($pos - (39 - $key)).addClass("tempSelect"); $ddItems.scrollTop(0); if ($newItem.offset() !== null && $ddItems.offset() !== null) { $ddItems.scrollTop($newItem.offset().top - $ddItems.offset().top) } } else { if ($key == 13 || $key == 9) { if ($ddItems.is(":visible")) { var $pos = ($ddItems.find(".tempSelect").getThisIndex() >= 0) ? $ddItems.find(".tempSelect").getThisIndex() : $ddItems.find(".selected").getThisIndex(); traverseDropDown($dd, $pos, true, true); return false } else { if ($key == 13) { return false } } } else { if ($.inArray($key, ignoreKeysArr) >= 0) { } else { if ($key == 36) { $ddItems.scrollTop(0); $ddItems.find("li").removeClass("tempSelect").eq(0).addClass("tempSelect"); return false } else { if ($key == 35) { $ddItems.scrollTop(10000); $ddItems.find("li").removeClass("tempSelect").last().addClass("tempSelect"); return false } else { if ($.inArray($key, breakKeysArr) >= 0) { $(".ddItems").hide(); $(this).blur(); return false } else { if (/[a-zA-Z\d]/i.test($charStr)) { $ddItems.show(); var $pos = $.inArray($charStr.toLowerCase(), alphaArr), $scrollToChar; for (var i = $pos; i <= alphaArr.length; i++) { var $scrollToChar = $ddItems.find('li[title^="' + alphaArr[i] + '"]:first').not($ddItems.find("li").eq(0)); if ($scrollToChar.size() > 0) { break } } if ($scrollToChar.size() == 0) { return false } $ddItems.scrollTop(0); $ddItems.scrollTop($scrollToChar.offset().top - $ddItems.offset().top); $ddItems.find("li").removeClass("tempSelect"); $scrollToChar.addClass("tempSelect"); return false } else { return false } } } } } } } }) } }) }; function InsertLiElementVsDropDown(ddlItems, optionElement, checkForElement) { var liElementTitle = ParseTitleForJuqeryDDlLIElement(optionElement.text()), currentLi = ddlItems.append('<li title="' + liElementTitle + '"><a href="javascript:;"><span class="optionName">' + optionElement.text() + '</span><span class="hiddenValue">' + optionElement.val() + "</span></a></li>"); if (checkForElement) { currentLi.trigger("click") } } function ParseTitleForJuqeryDDlLIElement(optionText) { return optionText.replace(/[^a-zA-Z0-9]/g, "").toLowerCase() } function traverseDropDown(dd, index, focus, trigger) { var $i = dd.find("dt input.selectVal").show(), $items = dd.find("li"), $selected = $items.eq(index), $text = $selected.find(".optionName").text(), $val = $selected.find(".hiddenValue").text(); $items.removeClass("selected").removeClass("tempSelect"); $selected.addClass("selected"); $i.val($text); dd.find("dt .hiddenName").text($text); dd.find("dt .hiddenValue").text($val); dd.next("select").val($val); dd.find(".ddItems").hide(); if (focus) { dd.find("dt input").focus() } if (trigger) { dd.next("select").trigger("change") } } function updateCustomDropdowns(dd) { if (dd !== undefined) { var $whichDD = $("dt input.selectVal").eq(dd) } else { var $whichDD = $("dt input.selectVal") } $whichDD.each(function () { var $i = $(this), $w = $i.width(); $i.after('<span class="tempDomElement">' + $i.val() + "</span>"); var $hidden = $i.next(".tempDomElement"), $c = 0; $hidden.copyStyle($i); if ($hidden.width() > $w - 20 && $w > 0) { do { if ($c > 100) { return false } $hidden.text($hidden.text().replace(/\.\.\.$/g, "")); $hidden.text($hidden.text().substring(0, $hidden.text().length - 1) + "..."); $c++ } while ($hidden.width() > $w - 20) } $i.val($hidden.text()); $hidden.remove() }) } $.fn.getThisIndex = function () { var $p = $(this).parent().children(); return $p.index(this) }; $.fn.copyStyle = function (eFrom) { return this.each(function () { $(this).css({ fontFamily: eFrom.css("font-family"), fontSize: eFrom.css("font-size"), fontWeight: eFrom.css("font-weight"), letterSpacing: eFrom.css("letter-spacing"), paddingTop: eFrom.css("padding-top"), paddingRight: eFrom.css("padding-right"), paddingBottom: eFrom.css("padding-bottom"), paddingLeft: eFrom.css("padding-left"), width: eFrom.css("width") }) }) }; $(function () { $(".VSCustomDropdown").show(); });

// Modal © Geonetric 2011
// Michael Deeter - 2011
// File Location: /scripts/GeoScripts/modal.js - updated on 10/14/2011
function modal(e, i) { var d = $("#" + e), a = $(window).width(), r = $(window).height(); d.detach().appendTo("form#aspnetForm"), $("body").addClass("locked"), d.css({ marginLeft: .5 * (a - d.width()), marginTop: .15 * (r - d.height()) }).show(); var n = $("#overlay"); return n.size() > 0 ? n.show() : n = $('<div id="overlay"></div>').css({ opacity: .4 }).appendTo(document.body), i && n.mousedown(function () { $("body").removeClass("locked"), d.hide(), 0 === $(".modal:visible").length && $(this).hide() }), d.find(".dp-choose-date").bind("click", function () { $("#dp-popup").css("zIndex", "40005") }), $(window).resize(function () { var e = $(window).width(), i = d.width(); d.css("margin-left", .5 * (e - i)) }), !1 } function unmodal(e) { var i = $("#" + e), d = $("#overlay"); return $("body").removeClass("locked"), i.find(".HeyImRequired").removeClass("HeyImRequired"), i.find(".HeyImRequiredRadio").removeClass("HeyImRequiredRadio"), i.hide(), 0 === $(".modal:visible").length && d.remove(), !1 } function modalValidate(e) { var i = $("#" + e), d = i.find("input.Required:not(:checkbox):not(:radio),textarea.Required"), a = i.find("select.Required"), r = i.find("input:checkbox"), n = i.find("input:radio"), o = !0, s = i.find(".header"), t = '<span class="modalValidate">Error: Please check the fields in red.</span>'; return d.each(function () { "" == $.trim($(this).val()) ? ($(this).addClass("HeyImRequired"), o = !1) : $(this).removeClass("HeyImRequired") }), a.each(function () { $(this).children("option").eq(0).attr("selected") ? ($(this).addClass("HeyImRequired"), o = !1) : $(this).removeClass("HeyImRequired") }), r.filter(":checked").parent(".RequiredCheckbox").removeClass("HeyImRequired"), r.each(function () { $(this).attr("checked") || ($(this).parent().hasClass("RequiredCheckbox") ? $(this).parent().addClass("HeyImRequired") : $(this).wrap('<span class="RequiredCheckbox HeyImRequired"></span>'), o = !1) }), n.each(function () { var e = $(this).attr("name"); 0 == n.filter("[name=" + e + "]:checked").size() ? (n.filter("[name=" + e + "]").parent("label").addClass("HeyImRequiredRadio"), o = !1) : n.filter("[name=" + e + "]").parent("label").removeClass("HeyImRequiredRadio") }), o ? (s.find(".modalValidate").remove(), $(".HeyImRequired").removeClass("HeyImRequired")) : s.find(".modalValidate").length || s.prepend(t), o }

// VideoPlayer jQuery Injector © Geonetric 2012
// Michael Deeter - December 13, 2013
// File Location: /scripts/GeoScripts/VideoPlayer.js
function youtubeit(a) { var b; b = a.replace(/^[^v]+v.(.{11}).*/, "$1"); return b } function initVideoPlayer() { String.prototype.nStr = function (a) { if (this.toLowerCase().indexOf(a.toLowerCase()) >= 0) { return true } else { return false } }; String.prototype.vStr = function (b) { var a = new RegExp("^.*" + b.toLowerCase() + ":"); return (this.toLowerCase().replace(a, "").match(/.*?(?=;)/)) }; $("a.VideoPlayerRight").addClass("VideoPlayer"); $("a.VideoPlayerLeft").addClass("VideoPlayer"); $("a.VideoPlayer").each(function (b) { $(this).parents("p").each(function () { var n = $(this), o = n.attr("class"); n.wrapInner('<div class="FixedVideoPTag ' + o + '"></div>'); n.find(".FixedVideoPTag").unwrap() }); var k = typeof this.name == typeof undefined ? "" : this.name; var f = k.toLowerCase() + ";", c = {}, e = { wmode: "transparent", allowscriptaccess: "always" }, g = { id: "videoplayer" + b, name: "videoplayer" + b }, d = $(this).attr("class"), i = f.nStr("google") ? f.vStr("google") : "true"; if (/youtube/.test($(this).attr("href")) || /youtu\.be/.test($(this).attr("href"))) { if (f.nStr("width")) { var m = f.vStr("width") } else { var m = "400" } if (f.nStr("height")) { var h = f.vStr("height") } else { var h = "300" } var j = $(this).attr("title"); var l = /(?:https?:\/{2})?(?:w{3}\.)?youtu(?:be)?\.(?:com|be)(?:\/watch\?v=|\/)([^\s&]+)/, a = $(this).attr("href").match(l); if (a != null) { $(this).before('<iframe class="YouTubeVideoPlayer" width="' + m + '" height="' + h + (j == null || j === "" ? "" : '" title="' + j) + '" src="//www.youtube.com/embed/' + a[1] + '" frameborder="0" allowfullscreen></iframe>') } $(this).hide() } else { $(this).hide().after('<div class="DynamicVideoPlayer ' + d.replace("VideoPlayer", "") + '" id="videoID' + b + '"><div id="VideoPlayerID' + b + '"></div></div>'); $(".FixedVideoPTag a.VideoPlayer").hide(); if (f.nStr("width")) { width = f.vStr("width") } else { width = "400" } if (f.nStr("height")) { height = f.vStr("height") } else { height = "300" } c.file = f.nStr("playlistXML") ? f.vStr("playlistXML") : $(this).attr("href"); c.volume = f.nStr("volume") ? f.vStr("volume") : "60"; c.image = f.nStr("image") ? f.vStr("image") : ""; c.icons = f.nStr("icons") ? f.vStr("icons") : "true"; c.autostart = f.nStr("autostart") ? f.vStr("autostart") : "false"; c.smoothing = f.nStr("smoothing") ? f.vStr("smoothing") : "false"; c.stretching = f.nStr("stretch") ? f.vStr("stretch") : "uniform"; c.quality = f.nStr("quality") ? f.vStr("quality") : "true"; c.skin = f.nStr("skin") ? f.vStr("skin") : "/video/skin.zip"; if (i == "true" && typeof (googleAnalyticsId) != "undefined") { c.plugins = "gapro-1", c["gapro.accountid"] = googleAnalyticsId, c["gapro.trackstarts"] = "true", c["gapro.trackpercentage"] = "true", c["gapro.tracktime"] = "true" } if (f.nStr("controls")) { if (f.vStr("controls") == "hide") { c.controlbar = "over"; c.controlbar.idlehide = "true" } else { c.controlbar = f.vStr("controls") } } if (f.nStr("playlistXML")) { c.playlist = f.nStr("playlistposition") ? f.vStr("playlistposition") : "right"; c.playlistsize = f.nStr("playlistsize") ? f.vStr("playlistsize") : "200"; c.item = f.nStr("playliststart") ? f.vStr("playliststart") : "0"; if (c.playlist == "bottom") { height = Number(height) + Number(c.playlistsize) } else { width = Number(width) + Number(c.playlistsize) } } e.allowfullscreen = f.nStr("fullscreen") ? f.vStr("fullscreen") : "true"; swfobject.embedSWF("/video/player.swf", "VideoPlayerID" + b, width, height, "9", "false", c, e, g) } }) } addLoadEvent(initVideoPlayer);

// Designer Library Sources
// June 2013
// File Location: /scripts/GeoScripts/globaljs/designerLibrary.js
$.fn.HideEmpty=function(a){return this.each(function(b,c){if($(this).html().trim()==""){$(this).hide()}})};$.fn.isAfter=function(a){return this.prevAll(a).length!==0};$.fn.isBefore=function(a){return this.nextAll(a).length!==0};

// Custom Google Maps
// June 2013 - Updated Dec 2013
// File Location: /scripts/GeoScripts/globaljs/CustomGoogleMap.js
(function($){$.fn.CustomGoogleMap=function(options){var defaults={mapWidth:'75%',mapHeight:500,mapList:true,mapListContainerID:null,mapListWidth:'25%',mapListHeight:500,hideLegend:false,customLegendContainer:null,startingLat:40.580585,startingLng:-95.976563,startingZoom:5,showMarkerShadows:true,showGetDirections:true,markersJSON:null};var options=$.extend(defaults,options);if(options.markersJSON.length){DoTheCustomMapThing(this,options);}};})(jQuery);function DoTheCustomMapThing(el,options){var s=document.createElement('script');s.type='text/javascript';if(options.APIKey){s.src='//maps.google.com/maps/api/js?v=3&key='+options.APIKey+'&callback=gmap_draw';}
else{s.src='//maps.google.com/maps/api/js?v=3&callback=gmap_draw';}
window.gmap_draw=function(){if(options.markersJSON){if($('link[href*="/css/modules/CustomGoogleMaps.css"]').size()==0){$('head').append('<link rel="stylesheet" href="/css/modules/CustomGoogleMaps.css" type="text/css" />');}
if(options.showGetDirections){$('.GetDirectionsButton').live('click',function(){getMapDirections();return false;});$('.GetDirectionsButton').click(function(){getMapDirections();});$('.GetDirectionsInput').live('keydown',function(e){var key=e.keyCode||e.which;if(key==13){e.preventDefault();getMapDirections();return false;}});}
var $MapContainer=$(el),$MapDiv=$('<div id="ClientLocationsMap"/>'),$LegendContainer=(options.customLegendContainer)?$('#'+options.customLegendContainer):$('<div id="GoogleMapCustomLegend" />'),$MapListContainer=(options.mapListContainerID)?$('#'+options.mapListContainerID):$('<div id="ClientLocationsList" />'),$TheList=$('<div class="TheList" />');$MapContainer.addClass('GoogleMapContainer').append($MapDiv);if(options.customLegendContainer==null&&options.hideLegend==false){$MapContainer.append($LegendContainer.addClass('GoogleMapLegend'));}
if(options.mapList){if(options.mapListContainerID==null){$MapContainer.append($MapListContainer);}
$MapListContainer.addClass('GoogleMapSidebar').append($TheList);$MapListContainer.width(options.mapListWidth).height(options.mapListHeight);}
$MapDiv.width(options.mapWidth).height(options.mapHeight);var pin={},colors={},pinBig={},pinSm={},markerGroups={},legendValues,markerIndex,uniqueMarker=[];var legendItems=[];var mapIcon={},currentOpenWindow=undefined;$(options.markersJSON).each(function(){if($.inArray(this.type,uniqueMarker)<0){uniqueMarker.push(this.type);var markerImage={};if(this.pin.length){if(isHex(this.pin)){markerImage={icon:{anchor:new google.maps.Point(32,32),size:new google.maps.Size(32,32)}};if(options.showMarkerShadows){markerImage.shadow={url:'//chart.apis.google.com/chart?chst=d_map_pin_shadow',size:new google.maps.Size(52,32)};}
markerImage.icon.url=googlePin(this.pin,'32');legendItems.push({type:this.type,description:this.legend,pinSrc:googlePin(this.pin,'16')});}
else{markerImage.icon={url:this.pin,anchor:new google.maps.Point(6,20),size:new google.maps.Size(32,32)};if(options.showMarkerShadows){markerImage.shadow={url:this.pinShadow,size:new google.maps.Size(42,32)};}
legendItems.push({type:this.type,description:this.legend,pinSrc:this.legendPin});}
mapIcon[this.type]=markerImage;}
else{return'';}}});eval(function(p,a,c,k,e,r){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--)r[e(c)]=k[c]||e(c);k=[function(e){return r[e]}];e=function(){return'\\w+'};c=1};while(c--)if(k[c])p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c]);return p}('9 m(c,b){4 a=3;a.18=c;a.Q=c.1G();a.1e=u K(c);q.p.B.X(a.1e,\'16\',9(){a.2m=3.1F();a.1C(c,b)})}m.l.1C=9(d,b){4 f=3;b=b||{};f.13=m.1s;4 h=d.1p;4 i=1;t(4 c 2H h){n(h.2A(c)&&h.1l(c)&&h.1l(c).1h===\'1I\'){4 g=d.1p.1l(c).1h;n(g>i){i=g}}}f.G=b.1h||19;f.1O=b.2b;f.v=b.1B||C;4 e;n(27 b.1w===\'1I\'){e=b.1w}14{e=m.1u}f.1t=u q.p.D(-e,e);f.1r=u q.p.D(e,-e);f.26=e;f.L={};f.T={};f.T[f.G]={};f.J={};f.J[f.G]=0;q.p.B.X(d,\'1Z\',9(){f.12()});q.p.B.X(d,\'1X\',9(){f.12()});q.p.B.X(d,\'1V\',9(){f.12()});f.I=9(a){a.1k(2F);f.W--};f.O=9(a){n(f.v){a.1k(f.18);f.W++}};f.1f();f.W=0;f.r=f.1j();q.p.B.1g(f,\'2s\')};m.1s=2q;m.1u=2o;m.1H=2l;m.l.1f=9(){4 a=m.1H;t(4 b=0;b<=3.G;++b){3.T[b]={};3.J[b]=0;3.L[b]=s.2i(a/3.13);a<<=1}};m.l.2g=9(){3.P(3.r,3.I);3.1f()};m.l.w=9(a,c,b){4 d=3.1e.1D(a,c);4 e=u q.p.2c(s.1Q((d.x+b.29)/3.13),s.1Q((d.y+b.28)/3.13));o e};m.l.1d=9(i,d,j){4 f=3;4 e=i.V();i.1z=d;n(3.1O){q.p.B.X(i,\'1y\',9(a,b,c){f.1x(a,b,c)})}4 h=3.w(e,j,u q.p.D(0,0,0,0));t(4 g=j;g>=d;g--){4 k=3.1c(h.x,h.y,g);k.1v(i);h.x=h.x>>1;h.y=h.y>>1}};m.l.N=9(d){4 b=3.r.E<=d.y&&d.y<=3.r.F;4 e=3.r.A;4 c=e<=d.x&&d.x<=3.r.H;n(!c&&e<0){4 a=3.L[3.r.z];c=e+a<=d.x&&d.x<=a-1}o b&&c};m.l.1x=9(f,b,g){4 c=3.G;4 a=U;4 d=3.w(b,c,u q.p.D(0,0,0,0));4 e=3.w(g,c,u q.p.D(0,0,0,0));1q(c>=0&&(d.x!==e.x||d.y!==e.y)){4 h=3.Y(d.x,d.y,c);n(h){n(3.1b(h,f)){3.1c(e.x,e.y,c).1v(f)}}n(c===3.Q){n(3.N(d)){n(!3.N(e)){3.I(f);a=C}}14{n(3.N(e)){3.O(f);a=C}}}d.x=d.x>>1;d.y=d.y>>1;e.x=e.x>>1;e.y=e.y>>1;--c}n(a){3.M()}};m.l.25=9(d){4 b=3.G;4 a=U;4 e=d.V();4 c=3.w(e,b,u q.p.D(0,0,0,0));1q(b>=0){4 f=3.Y(c.x,c.y,b);n(f){3.1b(f,d)}n(b===3.Q){n(3.N(c)){3.I(d);a=C}}c.x=c.x>>1;c.y=c.y>>1;--b}n(a){3.M()}3.J[d.1z]--};m.l.24=9(b,a,c){4 d=3.1a(c);t(4 i=b.Z-1;i>=0;i--){3.1d(b[i],a,d)}3.J[a]+=b.Z};m.l.1a=9(a){o a||3.G};m.l.23=9(a){4 b=0;t(4 z=0;z<=a;z++){b+=3.J[z]}o b};m.l.22=9(c,e,d){4 b=u q.p.21(c,e);4 f=3.w(b,d,u q.p.D(0,0,0,0));4 g=u q.p.20({1Y:b});4 a=3.Y(f.x,f.y,d);n(a!==1n){t(4 i=0;i<a.Z;i++){n(c===a[i].V().1m()&&e===a[i].V().10()){g=a[i]}}}o g};m.l.1W=9(d,a,b){4 e=3.1a(b);3.1d(d,a,e);4 c=3.w(d.V(),3.Q,u q.p.D(0,0,0,0));n(3.N(c)&&a<=3.r.z&&3.r.z<=e){3.O(d);3.M()}3.J[a]++};9 11(a){3.A=s.R(a[0].x,a[1].x);3.H=s.S(a[0].x,a[1].x);3.E=s.R(a[0].y,a[1].y);3.F=s.S(a[0].y,a[1].y)}11.l.1o=9(a){n(3.H===a.H&&3.F===a.F&&3.A===a.A&&3.E===a.E){o C}14{o U}};11.l.1U=9(a){4 b=3;o(b.A<=a.x&&b.H>=a.x&&b.E<=a.y&&b.F>=a.y)};m.l.1c=9(x,y,z){4 b=3.T[z];n(x<0){x+=3.L[z]}4 c=b[x];n(!c){c=b[x]=[];o(c[y]=[])}4 a=c[y];n(!a){o(c[y]=[])}o a};m.l.Y=9(x,y,z){4 a=3.T[z];n(x<0){x+=3.L[z]}4 b=a[x];o b?b[y]:1n};m.l.1S=9(j,b,c,e){b=s.R(b,3.G);4 i=j.2G();4 f=j.2E();4 d=3.w(i,b,c);4 g=3.w(f,b,e);4 a=3.L[b];n(f.10()<i.10()||g.x<d.x){d.x-=a}n(g.x-d.x+1>=a){d.x=0;g.x=a-1}4 h=u 11([d,g]);h.z=b;o h};m.l.1j=9(){o 3.1S(3.18.2D(),3.Q,3.1t,3.1r)};m.l.12=9(){3.1R(3,3.1A,0)};m.l.1R=9(b,a,c){o 2C.2B(9(){a.2z(b)},c)};m.l.2y=9(){o 3.v?C:U};m.l.2x=9(){o!3.v};m.l.1B=9(){3.v=C;3.17()};m.l.2w=9(){3.v=U;3.17()};m.l.2u=9(){3.v=!3.v;3.17()};m.l.17=9(){n(3.W>0){3.P(3.r,3.I)}n(3.v){3.P(3.r,3.O)}3.M()};m.l.1A=9(){3.Q=3.18.1G();4 a=3.1j();n(a.1o(3.r)&&a.z===3.r.z){o}n(a.z!==3.r.z){3.P(3.r,3.I);n(3.v){3.P(a,3.O)}}14{3.1i(3.r,a,3.1N);n(3.v){3.1i(a,3.r,3.1L)}}3.r=a;3.M()};m.l.M=9(){q.p.B.1g(3,\'1y\',3.r,3.W)};m.l.P=9(b,a){t(4 x=b.A;x<=b.H;x++){t(4 y=b.E;y<=b.F;y++){3.15(x,y,b.z,a)}}};m.l.15=9(x,y,z,a){4 b=3.Y(x,y,z);n(b){t(4 i=b.Z-1;i>=0;i--){a(b[i])}}};m.l.1N=9(x,y,z){3.15(x,y,z,3.I)};m.l.1L=9(x,y,z){3.15(x,y,z,3.O)};m.l.1i=9(c,d,a){4 b=3;b.1K(c,d,9(x,y){a.2p(b,[x,y,c.z])})};m.l.1K=9(j,k,b){4 f=j.A;4 a=j.E;4 d=j.H;4 h=j.F;4 g=k.A;4 c=k.E;4 e=k.H;4 i=k.F;4 x,y;t(x=f;x<=d;x++){t(y=a;y<=h&&y<c;y++){b(x,y)}t(y=s.S(i+1,a);y<=h;y++){b(x,y)}}t(y=s.S(a,c);y<=s.R(h,i);y++){t(x=s.R(d+1,g)-1;x>=f;x--){b(x,y)}t(x=s.S(f,e+1);x<=d;x++){b(x,y)}}};m.l.1b=9(a,c,b){4 d=0;t(4 i=0;i<a.Z;++i){n(a[i]===c||(b&&a[i]===c)){a.2n(i--,1);d++}}o d};9 K(b){3.1k(b);4 d=8;4 c=1<<d;4 a=7;3.1J=b;3.2k=-1;3.2r=3.2j=3.2t=3.2h=-1}K.l=u q.p.2v();K.l.1M=9(a){o(1+a/1T)};K.l.1P=9(b){4 a=s.2f(b*s.1E/1T);o(1-0.5/s.1E*s.2e((1+a)/(1-a)))};K.l.1D=9(a,d){4 c=3.1J;4 b=3.1F().2d(a);4 e={x:~~(0.5+3.1M(a.10())*(2<<(d+6))),y:~~(0.5+3.1P(a.1m())*(2<<(d+6)))};o e};K.l.2a=9(){n(!3.16){3.16=C;q.p.B.1g(3,\'16\')}};',62,168,'|||this|var|||||function||||||||||||prototype|MarkerManager|if|return|maps|google|shownBounds_|Math|for|new|show_|getTilePoint_||||minX|event|true|Size|minY|maxY|maxZoom_|maxX|removeOverlay_|numMarkers_|ProjectionHelperOverlay|gridWidth_|notifyListeners_|isGridPointVisible_|addOverlay_|processAll_|mapZoom_|min|max|grid_|false|getPosition|shownMarkers_|addListener|getGridCellNoCreate_|length|lng|GridBounds|onMapMoveEnd_|tileSize_|else|processCellMarkers_|ready|refresh|map_||getOptMaxZoom_|removeFromArray_|getGridCellCreate_|addMarkerBatch_|projectionHelper_|resetManager_|trigger|maxZoom|rectangleDiff_|getMapGridBounds_|setMap|get|lat|undefined|equals|mapTypes|while|nePadding_|DEFAULT_TILE_SIZE_|swPadding_|DEFAULT_BORDER_PADDING_|push|borderPadding|onMarkerMoved_|changed|MarkerManager_minZoom|updateMarkers_|show|initialize|LatLngToPixel|PI|getProjection|getZoom|MERCATOR_ZOOM_LEVEL_ZERO_RANGE|number|_map|rectangleDiffCoords_|addCellMarkers_|LngToX_|removeCellMarkers_|trackMarkers_|LatToY_|floor|objectSetTimeout_|getGridBounds_|180|containsPoint|zoom_changed|addMarker|idle|position|dragend|Marker|LatLng|getMarker|getMarkerCount|addMarkers|removeMarker|borderPadding_|typeof|height|width|draw|trackMarkers|Point|fromLatLngToDivPixel|log|sin|clearMarkers|_Y1|ceil|_Y0|_zoom|256|projection_|splice|100|apply|1024|_X0|loaded|_X1|toggle|OverlayView|hide|isHidden|visible|call|hasOwnProperty|setTimeout|window|getBounds|getNorthEast|null|getSouthWest|in'.split('|'),0,{}))
var LegendControlParams_;function LegendControl(e){LegendControlParams_=e}LegendControl.prototype.initialize=function(e){var t,n;t={padding:"5px 12px 10px 10px",border:"solid 1px #333","-moz-border-radius":"6px","-webkit-border-radius":"6px"};if($LegendContainer.size()>0){n=$LegendContainer[0];var r=false}else{n=document.createElement("div");var r=true}n.className="GoogleMapLegend";n=this.addLegendValues_(n);n=this.setStyles_(n,t);if(r){n=this.setStyles_(n,t);e.controls[google.maps.ControlPosition.RIGHT_TOP].push(n)}return n};LegendControl.prototype.addLegendValues_=function(e){var t;for(t in LegendControlParams_.legendValues){if("function"!==typeof LegendControlParams_.legendValues[t]){e.appendChild(this.createLegendItem_(LegendControlParams_.legendValues[t]))}}return e};LegendControl.prototype.createLegendItem_=function(e){var t,n,r;t=this;n={display:"block",margin:"5px 0",clear:"left"};r=document.createElement("label");r=this.setStyles_(r,n);r.innerHTML='<input type="checkbox" name="'+e.description+'" value="'+e.type+'" checked="checked"> <img src="'+e.pinSrc+'" class="legendPinIcon" alt="" style="position: relative;bottom: -4px;">'+e.description;$(r).click(function(e){if("input"===e.target.tagName.toLowerCase()){if(true===e.target.checked){t.addMarkers_(LegendControlParams_.markerGroups[e.target.value])}else{t.removeMarkers_(LegendControlParams_.markerGroups[e.target.value])}}});return r};LegendControl.prototype.addMarkers_=function(e){var t,n;for(t=0,n=e.length;t<n;++t){LegendControlParams_.mgr.addMarker(e[t],e[t].zoomMin,e[t].zoomMax)}LegendControlParams_.mgr.refresh();updateList()};LegendControl.prototype.removeMarkers_=function(e){var t,n;for(t=0,n=e.length;t<n;++t){LegendControlParams_.mgr.removeMarker(e[t])}LegendControlParams_.mgr.refresh();updateList()};LegendControl.prototype.setStyles_=function(e,t){var n;for(n in t){if("function"!==typeof t[n]){e.style[n]=t[n]}}return e}
initTheMap();}
function initTheMap(){var mapOptions={center:new google.maps.LatLng(options.startingLat,options.startingLng),zoom:options.startingZoom,mapTypeId:google.maps.MapTypeId.ROADMAP};var map=new google.maps.Map($MapDiv.get(0),mapOptions);var mgr=new MarkerManager(map);(new LegendControl({mgr:mgr,markerGroups:markerGroups,legendValues:legendItems})).initialize(map);google.maps.event.addListenerOnce(map,'idle',function(){lastCenter=map.getCenter();google.maps.event.trigger(map,'resize');map.setCenter(lastCenter);});google.maps.event.addListener(mgr,'loaded',function(){initMarkers(mgr,map);if(uniqueMarker.length==1){$LegendContainer.hide();}
if(options.mapList){createList();}});}
function initMarkers(mgr,map){var item,i,len;for(item in legendItems){if('function'!==typeof legendItems[item]){markerGroups[legendItems[item].type]=[];}}
for(i=0,len=options.markersJSON.length;i<len;i++){markerGroups[options.markersJSON[i].type].push(createMarker(options.markersJSON[i],i,map));}
for(item in markerGroups){if('function'!==typeof markerGroups[item]){for(i=0,len=markerGroups[item].length;i<len;++i){mgr.addMarker(markerGroups[item][i],0);}}}
mgr.refresh();}
function createMarker(obj,markerIdx,map){var marker;marker=new google.maps.Marker({title:obj.name,icon:mapIcon[obj.type].icon,shadow:mapIcon[obj.type].shadow,position:new google.maps.LatLng(obj.lat,obj.lng)});if(("handleCreatedMapMarker"in window)&&(window.handleCreatedMapMarker!=null)){window.handleCreatedMapMarker(marker);}
marker.setZIndex(google.maps.Marker.MAX_ZINDEX+options.markersJSON.length-markerIdx);marker.zoomMin=0;marker.zoomMax=19;var bubbleInfo='<div class="BubbleInfo" data-MarkerId="'+markerIdx+'"><div class="LocName"><strong><big>'+obj.name+'</big></strong></div>';if(obj.address.length){bubbleInfo+='<div class="Addy1">'+obj.address+'</div>';}
if(obj.address2.length){bubbleInfo+='<div class="Addy2">'+obj.address2+'</div>';}
bubbleInfo+='<div class="CityStZip">'+obj.city+', '+obj.state+' '+obj.zip+'</div>';if(obj.phone.length){bubbleInfo+='<div class="PhoneNum"><b>Phone:</b>'+obj.phone+'</div>';}
if(obj.fax.length){bubbleInfo+='<div class="FaxNum"><b>Fax:</b>'+obj.fax+'</div>';}
if(obj.hours.length){bubbleInfo+='<div class="HoursList"><b>Hours:</b>'+obj.hours+'</div>';}
if(obj.description.length){bubbleInfo+='<div class="LocDescript">'+obj.description+'</div>';}
if(options.showGetDirections){bubbleInfo+='<div class="GetDirections"><input type="hidden" class="GoToAddress" value="'+obj.address+" "+obj.city+" "+obj.state+" "+obj.zip+'" /><span class="GetDirectionsText">Get directions from : </span><input class="GetDirectionsInput" /><button class="GetDirectionsButton" type="button" onClick="getMapDirections()">Go</button></div>';}
bubbleInfo+='</div>';var infoWindow=new google.maps.InfoWindow({content:bubbleInfo});google.maps.event.addListener(marker,'click',function(){if(currentOpenWindow){currentOpenWindow.close();}
infoWindow.open(map,marker);currentOpenWindow=infoWindow;var MarkerId=$(infoWindow.content).data('MarkerId');if($TheList.find('li#marker'+MarkerId).size()>0&&$TheList.is(':visible')){$TheList.find('li').removeClass('ActiveBubble');$TheList.find('li#marker'+MarkerId).addClass('ActiveBubble');scrollLocation($('.TheList li#marker'+MarkerId));}});if(options.mapList){$('#marker'+markerIdx).live('click',function(e){if(currentOpenWindow){currentOpenWindow.close();}
$TheList.find('.ActiveBubble').removeClass('ActiveBubble');$(this).addClass('ActiveBubble');infoWindow.open(map,marker);currentOpenWindow=infoWindow;});}
google.maps.event.addListener(infoWindow,'domready',function(){$('.BubbleInfo').parent().parent().parent().prev().css('border-radius','6px');});return marker;}
function isHex(colorcode){var regColorcode=/^(#)?([0-9a-fA-F]{3})([0-9a-fA-F]{3})?$/;return(regColorcode.test(colorcode));}
function googlePin(color,size){return('//chart.apis.google.com/chart?cht=mm&chs='+size+'x'+size+'&chco=ffffff,'+color+',000000&ext=.png');}
function createList(){if(options.mapList){var listHtml='<ul>';$('.GoogleMapLegend input').each(function(){var type=$(this).val();listHtml+='<li class="TypeHeader"><span class="TypeHeaderInner">'+$(this).attr('name')+'</span></li>';for(var itm in options.markersJSON){if(options.markersJSON[itm].type==type){listHtml+='<li id="marker'+itm+'" class="'+options.markersJSON[itm].type+' GLocationItem">';listHtml+='<span class="LocName">'+options.markersJSON[itm].name+'</span>';listHtml+='<ul class="LocDetails">';listHtml+='<li class="LocType">'+options.markersJSON[itm].legend+'</li>';listHtml+='<li class="LocAddress"><div class="AddressLine1">'+options.markersJSON[itm].address+'</div>';if(options.markersJSON[itm].address2&&options.markersJSON[itm].address2.length){listHtml+='<div class="AddressLine2">'+options.markersJSON[itm].address2+'</div>';}
listHtml+='</li>';listHtml+='<li class="LocCityStateZip">'+options.markersJSON[itm].city+', '+options.markersJSON[itm].state+' &nbsp;'+options.markersJSON[itm].zip+'</li>';listHtml+='</ul></li>';}}});listHtml+='</ul>';$TheList.html(listHtml);}
return false;}
function updateList(){$TheList.find('.GLocationItem').hide();$('.GoogleMapLegend input:checked').each(function(){var type=$(this).val();$TheList.find('.GLocationItem.'+type).show();});}
function getMapDirections(){var goingto=$('.GetDirections').find('.GoToAddress').val(),from=$('.GetDirections').find('.GetDirectionsInput').val();if(from.length){var theUrl='https://maps.google.com/maps?saddr='+from+'&daddr='+goingto;theUrl=theUrl.replace(/ /g,'+');window.open(theUrl,'mapPage');}}
function scrollLocation(loc){$('.GoogleMapSidebar').scrollTop(0);var sidebarDistance=$('.GoogleMapSidebar').offset().top,locOffset=$('.ActiveBubble').offset();$('.GoogleMapSidebar').scrollTop(locOffset.top-sidebarDistance);}};$("head").append(s);}

// Adding default location of 3rd party scripts to call with Require.js
// File Location: /scripts/GeoScripts/globaljs/requireBaseUrl.js
require.config({ baseUrl: '/scripts/' });

// Fancybox is now loaded by default
/*
 * FancyBox - jQuery Plugin
 * Simple and fancy lightbox alternative
 *
 * Examples and documentation at: http://fancybox.net
 *
 * Copyright (c) 2008 - 2010 Janis Skarnelis
 * That said, it is hardly a one-person project. Many people have submitted bugs, code, and offered their advice freely. Their support is greatly appreciated.
 *
 * Version: 1.3.4 (11/11/2010)
 * Requires: jQuery v1.3+
 *
 * Dual licensed under the MIT and GPL licenses:
 *   http://www.opensource.org/licenses/mit-license.php
 *   http://www.gnu.org/licenses/gpl.html
 */
;(function(b){var m,t,u,f,D,j,E,n,z,A,q=0,e={},o=[],p=0,d={},l=[],G=null,v=new Image,J=/\.(jpg|gif|png|bmp|jpeg)(.*)?$/i,W=/[^\.]\.(swf)\s*$/i,K,L=1,y=0,s="",r,i,h=false,B=b.extend(b("<div/>")[0],{prop:0}),M=b.browser.msie&&b.browser.version<7&&!window.XMLHttpRequest,N=function(){t.hide();v.onerror=v.onload=null;G&&G.abort();m.empty()},O=function(){if(false===e.onError(o,q,e)){t.hide();h=false}else{e.titleShow=false;e.width="auto";e.height="auto";m.html('<p id="fancybox-error">The requested content cannot be loaded.<br />Please try again later.</p>');
F()}},I=function(){var a=o[q],c,g,k,C,P,w;N();e=b.extend({},b.fn.fancybox.defaults,typeof b(a).data("fancybox")=="undefined"?e:b(a).data("fancybox"));w=e.onStart(o,q,e);if(w===false)h=false;else{if(typeof w=="object")e=b.extend(e,w);k=e.title||(a.nodeName?b(a).attr("title"):a.title)||"";if(a.nodeName&&!e.orig)e.orig=b(a).children("img:first").length?b(a).children("img:first"):b(a);if(k===""&&e.orig&&e.titleFromAlt)k=e.orig.attr("alt");c=e.href||(a.nodeName?b(a).attr("href"):a.href)||null;if(/^(?:javascript)/i.test(c)||
c=="#")c=null;if(e.type){g=e.type;if(!c)c=e.content}else if(e.content)g="html";else if(c)g=c.match(J)?"image":c.match(W)?"swf":b(a).hasClass("iframe")?"iframe":c.indexOf("#")===0?"inline":"ajax";if(g){if(g=="inline"){a=c.substr(c.indexOf("#"));g=b(a).length>0?"inline":"ajax"}e.type=g;e.href=c;e.title=k;if(e.autoDimensions)if(e.type=="html"||e.type=="inline"||e.type=="ajax"){e.width="auto";e.height="auto"}else e.autoDimensions=false;if(e.modal){e.overlayShow=true;e.hideOnOverlayClick=false;e.hideOnContentClick=
false;e.enableEscapeButton=false;e.showCloseButton=false}e.padding=parseInt(e.padding,10);e.margin=parseInt(e.margin,10);m.css("padding",e.padding+e.margin);b(".fancybox-inline-tmp").unbind("fancybox-cancel").bind("fancybox-change",function(){b(this).replaceWith(j.children())});switch(g){case "html":m.html(e.content);F();break;case "inline":if(b(a).parent().is("#fancybox-content")===true){h=false;break}b('<div class="fancybox-inline-tmp" />').hide().insertBefore(b(a)).bind("fancybox-cleanup",function(){b(this).replaceWith(j.children())}).bind("fancybox-cancel",
function(){b(this).replaceWith(m.children())});b(a).appendTo(m);F();break;case "image":h=false;b.fancybox.showActivity();v=new Image;v.onerror=function(){O()};v.onload=function(){h=true;v.onerror=v.onload=null;e.width=v.width;e.height=v.height;b("<img />").attr({id:"fancybox-img",src:v.src,alt:e.title}).appendTo(m);Q()};v.src=c;break;case "swf":e.scrolling="no";C='<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" width="'+e.width+'" height="'+e.height+'"><param name="movie" value="'+c+
'"></param>';P="";b.each(e.swf,function(x,H){C+='<param name="'+x+'" value="'+H+'"></param>';P+=" "+x+'="'+H+'"'});C+='<embed src="'+c+'" type="application/x-shockwave-flash" width="'+e.width+'" height="'+e.height+'"'+P+"></embed></object>";m.html(C);F();break;case "ajax":h=false;b.fancybox.showActivity();e.ajax.win=e.ajax.success;G=b.ajax(b.extend({},e.ajax,{url:c,data:e.ajax.data||{},error:function(x){x.status>0&&O()},success:function(x,H,R){if((typeof R=="object"?R:G).status==200){if(typeof e.ajax.win==
"function"){w=e.ajax.win(c,x,H,R);if(w===false){t.hide();return}else if(typeof w=="string"||typeof w=="object")x=w}m.html(x);F()}}}));break;case "iframe":Q()}}else O()}},F=function(){var a=e.width,c=e.height;a=a.toString().indexOf("%")>-1?parseInt((b(window).width()-e.margin*2)*parseFloat(a)/100,10)+"px":a=="auto"?"auto":a+"px";c=c.toString().indexOf("%")>-1?parseInt((b(window).height()-e.margin*2)*parseFloat(c)/100,10)+"px":c=="auto"?"auto":c+"px";m.wrapInner('<div style="width:'+a+";height:"+c+
";overflow: "+(e.scrolling=="auto"?"auto":e.scrolling=="yes"?"scroll":"hidden")+';position:relative;"></div>');e.width=m.width();e.height=m.height();Q()},Q=function(){var a,c;t.hide();if(f.is(":visible")&&false===d.onCleanup(l,p,d)){b.event.trigger("fancybox-cancel");h=false}else{h=true;b(j.add(u)).unbind();b(window).unbind("resize.fb scroll.fb");b(document).unbind("keydown.fb");f.is(":visible")&&d.titlePosition!=="outside"&&f.css("height",f.height());l=o;p=q;d=e;if(d.overlayShow){u.css({"background-color":d.overlayColor,
opacity:d.overlayOpacity,cursor:d.hideOnOverlayClick?"pointer":"auto",height:b(document).height()});if(!u.is(":visible")){M&&b("select:not(#fancybox-tmp select)").filter(function(){return this.style.visibility!=="hidden"}).css({visibility:"hidden"}).one("fancybox-cleanup",function(){this.style.visibility="inherit"});u.show()}}else u.hide();i=X();s=d.title||"";y=0;n.empty().removeAttr("style").removeClass();if(d.titleShow!==false){if(b.isFunction(d.titleFormat))a=d.titleFormat(s,l,p,d);else a=s&&s.length?
d.titlePosition=="float"?'<table id="fancybox-title-float-wrap" cellpadding="0" cellspacing="0"><tr><td id="fancybox-title-float-left"></td><td id="fancybox-title-float-main">'+s+'</td><td id="fancybox-title-float-right"></td></tr></table>':'<div id="fancybox-title-'+d.titlePosition+'">'+s+"</div>":false;s=a;if(!(!s||s==="")){n.addClass("fancybox-title-"+d.titlePosition).html(s).appendTo("body").show();switch(d.titlePosition){case "inside":n.css({width:i.width-d.padding*2,marginLeft:d.padding,marginRight:d.padding});
y=n.outerHeight(true);n.appendTo(D);i.height+=y;break;case "over":n.css({marginLeft:d.padding,width:i.width-d.padding*2,bottom:d.padding}).appendTo(D);break;case "float":n.css("left",parseInt((n.width()-i.width-40)/2,10)*-1).appendTo(f);break;default:n.css({width:i.width-d.padding*2,paddingLeft:d.padding,paddingRight:d.padding}).appendTo(f)}}}n.hide();if(f.is(":visible")){b(E.add(z).add(A)).hide();a=f.position();r={top:a.top,left:a.left,width:f.width(),height:f.height()};c=r.width==i.width&&r.height==
i.height;j.fadeTo(d.changeFade,0.3,function(){var g=function(){j.html(m.contents()).fadeTo(d.changeFade,1,S)};b.event.trigger("fancybox-change");j.empty().removeAttr("filter").css({"border-width":d.padding,width:i.width-d.padding*2,height:e.autoDimensions?"auto":i.height-y-d.padding*2});if(c)g();else{B.prop=0;b(B).animate({prop:1},{duration:d.changeSpeed,easing:d.easingChange,step:T,complete:g})}})}else{f.removeAttr("style");j.css("border-width",d.padding);if(d.transitionIn=="elastic"){r=V();j.html(m.contents());
f.show();if(d.opacity)i.opacity=0;B.prop=0;b(B).animate({prop:1},{duration:d.speedIn,easing:d.easingIn,step:T,complete:S})}else{d.titlePosition=="inside"&&y>0&&n.show();j.css({width:i.width-d.padding*2,height:e.autoDimensions?"auto":i.height-y-d.padding*2}).html(m.contents());f.css(i).fadeIn(d.transitionIn=="none"?0:d.speedIn,S)}}}},Y=function(){if(d.enableEscapeButton||d.enableKeyboardNav)b(document).bind("keydown.fb",function(a){if(a.keyCode==27&&d.enableEscapeButton){a.preventDefault();b.fancybox.close()}else if((a.keyCode==
37||a.keyCode==39)&&d.enableKeyboardNav&&a.target.tagName!=="INPUT"&&a.target.tagName!=="TEXTAREA"&&a.target.tagName!=="SELECT"){a.preventDefault();b.fancybox[a.keyCode==37?"prev":"next"]()}});if(d.showNavArrows){if(d.cyclic&&l.length>1||p!==0)z.show();if(d.cyclic&&l.length>1||p!=l.length-1)A.show()}else{z.hide();A.hide()}},S=function(){if(!b.support.opacity){j.get(0).style.removeAttribute("filter");f.get(0).style.removeAttribute("filter")}e.autoDimensions&&j.css("height","auto");f.css("height","auto");
s&&s.length&&n.show();d.showCloseButton&&E.show();Y();d.hideOnContentClick&&j.bind("click",b.fancybox.close);d.hideOnOverlayClick&&u.bind("click",b.fancybox.close);b(window).bind("resize.fb",b.fancybox.resize);d.centerOnScroll&&b(window).bind("scroll.fb",b.fancybox.center);if(d.type=="iframe")b('<iframe id="fancybox-frame" name="fancybox-frame'+(new Date).getTime()+'" frameborder="0" hspace="0" '+(b.browser.msie?'allowtransparency="true""':"")+' scrolling="'+e.scrolling+'" src="'+d.href+'"></iframe>').appendTo(j);
f.show();h=false;b.fancybox.center();d.onComplete(l,p,d);var a,c;if(l.length-1>p){a=l[p+1].href;if(typeof a!=="undefined"&&a.match(J)){c=new Image;c.src=a}}if(p>0){a=l[p-1].href;if(typeof a!=="undefined"&&a.match(J)){c=new Image;c.src=a}}},T=function(a){var c={width:parseInt(r.width+(i.width-r.width)*a,10),height:parseInt(r.height+(i.height-r.height)*a,10),top:parseInt(r.top+(i.top-r.top)*a,10),left:parseInt(r.left+(i.left-r.left)*a,10)};if(typeof i.opacity!=="undefined")c.opacity=a<0.5?0.5:a;f.css(c);
j.css({width:c.width-d.padding*2,height:c.height-y*a-d.padding*2})},U=function(){return[b(window).width()-d.margin*2,b(window).height()-d.margin*2,b(document).scrollLeft()+d.margin,b(document).scrollTop()+d.margin]},X=function(){var a=U(),c={},g=d.autoScale,k=d.padding*2;c.width=d.width.toString().indexOf("%")>-1?parseInt(a[0]*parseFloat(d.width)/100,10):d.width+k;c.height=d.height.toString().indexOf("%")>-1?parseInt(a[1]*parseFloat(d.height)/100,10):d.height+k;if(g&&(c.width>a[0]||c.height>a[1]))if(e.type==
"image"||e.type=="swf"){g=d.width/d.height;if(c.width>a[0]){c.width=a[0];c.height=parseInt((c.width-k)/g+k,10)}if(c.height>a[1]){c.height=a[1];c.width=parseInt((c.height-k)*g+k,10)}}else{c.width=Math.min(c.width,a[0]);c.height=Math.min(c.height,a[1])}c.top=parseInt(Math.max(a[3]-20,a[3]+(a[1]-c.height-40)*0.5),10);c.left=parseInt(Math.max(a[2]-20,a[2]+(a[0]-c.width-40)*0.5),10);return c},V=function(){var a=e.orig?b(e.orig):false,c={};if(a&&a.length){c=a.offset();c.top+=parseInt(a.css("paddingTop"),
10)||0;c.left+=parseInt(a.css("paddingLeft"),10)||0;c.top+=parseInt(a.css("border-top-width"),10)||0;c.left+=parseInt(a.css("border-left-width"),10)||0;c.width=a.width();c.height=a.height();c={width:c.width+d.padding*2,height:c.height+d.padding*2,top:c.top-d.padding-20,left:c.left-d.padding-20}}else{a=U();c={width:d.padding*2,height:d.padding*2,top:parseInt(a[3]+a[1]*0.5,10),left:parseInt(a[2]+a[0]*0.5,10)}}return c},Z=function(){if(t.is(":visible")){b("div",t).css("top",L*-40+"px");L=(L+1)%12}else clearInterval(K)};
b.fn.fancybox=function(a){if(!b(this).length)return this;b(this).data("fancybox",b.extend({},a,b.metadata?b(this).metadata():{})).unbind("click.fb").bind("click.fb",function(c){c.preventDefault();if(!h){h=true;b(this).blur();o=[];q=0;c=b(this).attr("rel")||"";if(!c||c==""||c==="nofollow")o.push(this);else{o=b("a[rel="+c+"], area[rel="+c+"]");q=o.index(this)}I()}});return this};b.fancybox=function(a,c){var g;if(!h){h=true;g=typeof c!=="undefined"?c:{};o=[];q=parseInt(g.index,10)||0;if(b.isArray(a)){for(var k=
0,C=a.length;k<C;k++)if(typeof a[k]=="object")b(a[k]).data("fancybox",b.extend({},g,a[k]));else a[k]=b({}).data("fancybox",b.extend({content:a[k]},g));o=jQuery.merge(o,a)}else{if(typeof a=="object")b(a).data("fancybox",b.extend({},g,a));else a=b({}).data("fancybox",b.extend({content:a},g));o.push(a)}if(q>o.length||q<0)q=0;I()}};b.fancybox.showActivity=function(){clearInterval(K);t.show();K=setInterval(Z,66)};b.fancybox.hideActivity=function(){t.hide()};b.fancybox.next=function(){return b.fancybox.pos(p+
1)};b.fancybox.prev=function(){return b.fancybox.pos(p-1)};b.fancybox.pos=function(a){if(!h){a=parseInt(a);o=l;if(a>-1&&a<l.length){q=a;I()}else if(d.cyclic&&l.length>1){q=a>=l.length?0:l.length-1;I()}}};b.fancybox.cancel=function(){if(!h){h=true;b.event.trigger("fancybox-cancel");N();e.onCancel(o,q,e);h=false}};b.fancybox.close=function(){function a(){u.fadeOut("fast");n.empty().hide();f.hide();b.event.trigger("fancybox-cleanup");j.empty();d.onClosed(l,p,d);l=e=[];p=q=0;d=e={};h=false}if(!(h||f.is(":hidden"))){h=
true;if(d&&false===d.onCleanup(l,p,d))h=false;else{N();b(E.add(z).add(A)).hide();b(j.add(u)).unbind();b(window).unbind("resize.fb scroll.fb");b(document).unbind("keydown.fb");j.find("iframe").attr("src",M&&/^https/i.test(window.location.href||"")?"javascript:void(false)":"about:blank");d.titlePosition!=="inside"&&n.empty();f.stop();if(d.transitionOut=="elastic"){r=V();var c=f.position();i={top:c.top,left:c.left,width:f.width(),height:f.height()};if(d.opacity)i.opacity=1;n.empty().hide();B.prop=1;
b(B).animate({prop:0},{duration:d.speedOut,easing:d.easingOut,step:T,complete:a})}else f.fadeOut(d.transitionOut=="none"?0:d.speedOut,a)}}};b.fancybox.resize=function(){u.is(":visible")&&u.css("height",b(document).height());b.fancybox.center(true)};b.fancybox.center=function(a){var c,g;if(!h){g=a===true?1:0;c=U();!g&&(f.width()>c[0]||f.height()>c[1])||f.stop().animate({top:parseInt(Math.max(c[3]-20,c[3]+(c[1]-j.height()-40)*0.5-d.padding)),left:parseInt(Math.max(c[2]-20,c[2]+(c[0]-j.width()-40)*0.5-
d.padding))},typeof a=="number"?a:200)}};b.fancybox.init=function(){if(!b("#fancybox-wrap").length){b("body").append(m=b('<div id="fancybox-tmp"></div>'),t=b('<div id="fancybox-loading"><div></div></div>'),u=b('<div id="fancybox-overlay"></div>'),f=b('<div id="fancybox-wrap"></div>'));D=b('<div id="fancybox-outer"></div>').append('<div class="fancybox-bg" id="fancybox-bg-n"></div><div class="fancybox-bg" id="fancybox-bg-ne"></div><div class="fancybox-bg" id="fancybox-bg-e"></div><div class="fancybox-bg" id="fancybox-bg-se"></div><div class="fancybox-bg" id="fancybox-bg-s"></div><div class="fancybox-bg" id="fancybox-bg-sw"></div><div class="fancybox-bg" id="fancybox-bg-w"></div><div class="fancybox-bg" id="fancybox-bg-nw"></div>').appendTo(f);
D.append(j=b('<div id="fancybox-content"></div>'),E=b('<a id="fancybox-close"></a>'),n=b('<div id="fancybox-title"></div>'),z=b('<a href="javascript:;" id="fancybox-left"><span class="fancy-ico" id="fancybox-left-ico"></span></a>'),A=b('<a href="javascript:;" id="fancybox-right"><span class="fancy-ico" id="fancybox-right-ico"></span></a>'));E.click(b.fancybox.close);t.click(b.fancybox.cancel);z.click(function(a){a.preventDefault();b.fancybox.prev()});A.click(function(a){a.preventDefault();b.fancybox.next()});
b.fn.mousewheel&&f.bind("mousewheel.fb",function(a,c){if(h)a.preventDefault();else if(b(a.target).get(0).clientHeight==0||b(a.target).get(0).scrollHeight===b(a.target).get(0).clientHeight){a.preventDefault();b.fancybox[c>0?"prev":"next"]()}});b.support.opacity||f.addClass("fancybox-ie");if(M){t.addClass("fancybox-ie6");f.addClass("fancybox-ie6");b('<iframe id="fancybox-hide-sel-frame" src="'+(/^https/i.test(window.location.href||"")?"javascript:void(false)":"about:blank")+'" scrolling="no" border="0" frameborder="0" tabindex="-1"></iframe>').prependTo(D)}}};
b.fn.fancybox.defaults={padding:10,margin:40,opacity:false,modal:false,cyclic:false,scrolling:"auto",width:560,height:340,autoScale:true,autoDimensions:true,centerOnScroll:false,ajax:{},swf:{wmode:"transparent"},hideOnOverlayClick:true,hideOnContentClick:false,overlayShow:true,overlayOpacity:0.7,overlayColor:"#777",titleShow:true,titlePosition:"float",titleFormat:null,titleFromAlt:false,transitionIn:"fade",transitionOut:"fade",speedIn:300,speedOut:300,changeSpeed:300,changeFade:"fast",easingIn:"swing",
easingOut:"swing",showCloseButton:true,showNavArrows:true,enableEscapeButton:true,enableKeyboardNav:true,onStart:function(){},onCancel:function(){},onComplete:function(){},onCleanup:function(){},onClosed:function(){},onError:function(){}};b(document).ready(function(){b.fancybox.init()})})(jQuery);

// webapiCrossBrowser.js
(function (n) { function t(n) { i && console.info(n) } var i = "console" in window | !1; n.getWebApiJsonObject = function (i, r, u, f, e) { var c, s, h, o; if (typeof f != "function" && n.error("Please provide a callback to handle the JSON response."), delete u.host, n.browser.msie && i.indexOf("http") == 0) t("jQuery.browser detected Internet Explorer version " + n.browser.version), c = 0, n.browser.version == null || isNaN(n.browser.version) || (c = parseInt(n.browser.version)), s = i + "?" + n.param(u), window.XDomainRequest && c == 8 ? (t("detected XDomainRequest in IE 8, getting JSON from URL " + s), h = new XDomainRequest, h.onload = function () { var t = new ActiveXObject("Microsoft.XMLDOM"); t.async = !1; t.loadXML(h.responseText); f.call(this, n.parseJSON(h.responseText)) }, h.onerror = function () { if (typeof e == "function") { e.call(this, n.parseJSON(h.responseText)); return } n.error('Could not complete the AJAX call of "' + s + '" using XDomainRequest in IE ' + n.browser.version) }, h.open("get", s), h.send()) : window.XMLHttpRequest ? (o = new XMLHttpRequest, c == 7 ? (s = s + "&timeStamp=" + (new Date).getTime(), t("detected XMLHttpRequest in IE 7, getting URL " + s), o.onreadystatechange = function () { if (o.readyState != 4) return !1; var t = o.status; return t != 200 ? typeof e == "function" ? (e.call(this, n.parseJSON(o.responseText)), !1) : (n.error('Could not complete the AJAX call of "' + s + '" using XMLHttpRequest in IE ' + n.browser.version), !1) : (f.call(this, n.parseJSON(o.responseText)), !0) }, o.open("get", s), o.send()) : (t("detected XMLHttpRequest, assuming this is IE 9 or 10, getting URL " + s), o.onload = function () { f.call(this, n.parseJSON(o.responseText)) }, o.onerror = function () { if (typeof e == "function") { e.call(this, n.parseJSON(o.responseText)); return } n.error('Could not complete the AJAX call of "' + s + '" using XMLHttpRequest in IE ' + n.browser.version) }, o.open("get", s), o.send())) : alert("Unsupported Internet Explorer Version " + n.browser.version); else return n.ajax({ url: i, data: u, type: "GET", beforeSend: function (n) { r > 0 && n.setRequestHeader("X-API-Version", r) }, success: function (n) { f.call(this, n) }, error: function (t) { if (typeof e == "function") { e.call(this, t); return } n.error('Could not complete the AJAX call of "' + i + '" using jQuery.ajax in IE ' + n.browser.version) } }) }; n.getWebApiHtml = function (i, r, u, f, e) { var c, s, h, o; if (typeof f != "function" && n.error("Please provide a callback to handle the HTML response."), delete u.host, n.browser.msie && i.indexOf("http") == 0) t("jQuery.browser detected Internet Explorer version " + n.browser.version), c = 0, n.browser.version == null || isNaN(n.browser.version) || (c = parseInt(n.browser.version)), s = i + "?" + n.param(u), window.XDomainRequest && c == 8 ? (t("detected XDomainRequest in IE 8, getting HTML from URL " + s), h = new XDomainRequest, h.onload = function () { var n = new ActiveXObject("Microsoft.XMLDOM"); n.async = !1; n.loadXML(h.responseText); f.call(this, h.responseText) }, h.onerror = function () { if (typeof e == "function") { e.call(this, h.responseText); return } n.error('Could not complete the AJAX call of "' + s + '" using XDomainRequest in IE ' + n.browser.version) }, h.open("get", s), h.send()) : window.XMLHttpRequest ? (o = new XMLHttpRequest, c == 7 ? (s = s + "&timeStamp=" + (new Date).getTime(), t("detected XMLHttpRequest in IE 7, getting URL " + s), o.onreadystatechange = function () { if (o.readyState != 4) return !1; var t = o.status; return t != 200 ? typeof e == "function" ? (e.call(this, o.responseText), !1) : (n.error('Could not complete the AJAX call of "' + s + '" using XMLHttpRequest in IE ' + n.browser.version), !1) : (f.call(this, o.responseText), !0) }, o.open("get", s), o.send()) : (t("detected XMLHttpRequest, assuming this is IE 9 or 10, getting URL " + s), o.onload = function () { f.call(this, o.responseText) }, o.onerror = function () { if (typeof e == "function") { e.call(this, o.responseText); return } n.error('Could not complete the AJAX call of "' + s + '" using XMLHttpRequest in IE ' + n.browser.version) }, o.open("get", s), o.send())) : alert("Unsupported Internet Explorer Version " + n.browser.version); else return n.ajax({ url: i, data: u, type: "GET", dataType: "html", beforeSend: function (n) { r > 0 && n.setRequestHeader("X-API-Version", r) }, success: function (n) { f.call(this, n) }, error: function (t) { if (typeof e == "function") { e.call(this, t); return } n.error('Could not complete the AJAX call of "' + i + '" using jQuery.ajax in IE ' + n.browser.version) } }) } })(jQuery);